Index: /extensions/rv_gmaps/trunk/admin/admin_edit.php
===================================================================
--- /extensions/rv_gmaps/trunk/admin/admin_edit.php	(revision 6244)
+++ /extensions/rv_gmaps/trunk/admin/admin_edit.php	(revision 6245)
@@ -9,5 +9,5 @@
 include (PHPWG_ROOT_PATH.'admin/element_set.php');
 
-$template->concat('TABSHEET_TITLE', ' '.l10n_dec('%d element', '%d elements', count($page['cat_elements_id'])).' - '.$page['title']);
+$template->concat('TABSHEET_TITLE', ' '.l10n_dec('%d image', '%d images', count($page['cat_elements_id'])).' - '.$page['title']);
 
 if ( isset($_POST['submit']) and !is_adviser() )
Index: /extensions/rv_gmaps/trunk/include/picture_map.inc.php
===================================================================
--- /extensions/rv_gmaps/trunk/include/picture_map.inc.php	(revision 6244)
+++ /extensions/rv_gmaps/trunk/include/picture_map.inc.php	(revision 6245)
@@ -3,5 +3,5 @@
 
 $template->concat('PLUGIN_PICTURE_ACTIONS', '
-  <a href="'.duplicate_picture_url().'" title="'.l10n('mode_normal_hint').'"><img src="'.get_root_url().'plugins/'.$rvm_dir.'/icons/map_m.png" class="button" alt="map"></a>
+  <a href="'.duplicate_picture_url().'" title="'.l10n('return to normal view mode').'"><img src="'.get_root_url().'plugins/'.$rvm_dir.'/icons/map_m.png" class="button" alt="map"></a>
   ');
 
Index: /extensions/rv_gmaps/trunk/kml.php
===================================================================
--- /extensions/rv_gmaps/trunk/kml.php	(revision 6244)
+++ /extensions/rv_gmaps/trunk/kml.php	(revision 6245)
@@ -62,5 +62,5 @@
 
 if ( !empty($page['items']) )
-  $dataTpl->assign( 'NB_ITEMS_DESC', sprintf( l10n('%d elements'), count($page['items']) ).'<br/>' );
+  $dataTpl->assign( 'NB_ITEMS_DESC', sprintf( l10n('%d images'), count($page['items']) ).'<br/>' );
 
 
@@ -112,12 +112,12 @@
     if ( isset($bounds['self']) )
     {
-      $count_desc = l10n_dec('%d element', '%d elements', $bounds['self']['count']);
+      $count_desc = l10n_dec('%d image', '%d images', $bounds['self']['count']);
       if ( $bounds['self']['count'] == $bounds['count'] )
         $count_desc .= ' '.l10n('images_available_cpl');
       else
-        $count_desc .= '/'.l10n_dec('%d element', '%d elements', $bounds['count']).' '.l10n_dec('images_available_cat','images_available_cats', $bounds['nb_cats'] );
+        $count_desc .= '/'.l10n_dec('%d image', '%d images', $bounds['count']).' '.l10n_dec('images_available_cat','images_available_cats', $bounds['nb_cats'] );
     }
     else
-      $count_desc = l10n_dec('%d element', '%d elements', $bounds['count'])
+      $count_desc = l10n_dec('%d image', '%d images', $bounds['count'])
         .' '.l10n_dec('images_available_cat','images_available_cats', $bounds['nb_cats'] );
 
Index: /extensions/rv_gmaps/trunk/mapl.php
===================================================================
--- /extensions/rv_gmaps/trunk/mapl.php	(revision 6244)
+++ /extensions/rv_gmaps/trunk/mapl.php	(revision 6245)
@@ -88,5 +88,5 @@
       'URL' => make_index_url( array( 'category' => $category ) ),
       'NAME' => $category['name'],
-      'TITLE' => l10n_dec( '%d element', '%d elements', $category['counter'] ),
+      'TITLE' => l10n_dec( '%d image', '%d images', $category['counter'] ),
       'CLASS' => 'tagLevel'.$category['level']
     )
@@ -113,5 +113,5 @@
         'U_MAP' => rvm_make_map_index_url( array( 'tags' => array($tag) ) ),
         'URL' => make_index_url( array( 'tags' => array($tag) ) ),
-        'TITLE' => l10n_dec( '%d element', '%d elements', $tag['counter'] ),
+        'TITLE' => l10n_dec( '%d image', '%d images', $tag['counter'] ),
       )
     )
@@ -137,5 +137,5 @@
 $url = rvm_duplicate_blowup_url(array('start'=>0));
 $navbar = create_navigation_bar($url, count( $page['items'] ), $page['start'], 48);
-$template->assign('NAVBAR', $navbar);
+$template->assign('navbar', $navbar);
 
 $page['items'] = array_slice(
Index: /extensions/rv_gmaps/trunk/template/data_handler.js
===================================================================
--- /extensions/rv_gmaps/trunk/template/data_handler.js	(revision 6244)
+++ /extensions/rv_gmaps/trunk/template/data_handler.js	(revision 6245)
@@ -74,5 +74,5 @@
 			var theTitle = "";
 			if (cluster.nb_items>1)
-				theTitle = Localization.fmt1("%d elements", cluster.nb_items);
+				theTitle = Localization.fmt1("%d images", cluster.nb_items);
 			else
 				theTitle = cluster.items[0].name;
@@ -153,5 +153,5 @@
 	}
 
-	document.getElementById("dataLoadStatus").innerHTML = Localization.fmt1("%d elements", data.nb_items);
+	document.getElementById("dataLoadStatus").innerHTML = Localization.fmt1("%d images", data.nb_items);
 },
 
Index: /extensions/rv_gmaps/trunk/template/data_loader.js
===================================================================
--- /extensions/rv_gmaps/trunk/template/data_loader.js	(revision 6244)
+++ /extensions/rv_gmaps/trunk/template/data_loader.js	(revision 6245)
@@ -78,5 +78,5 @@
 
 	// BEGIN BUG in maps api 2.185 up to "today" 2.193 - when map wraps horizontally more than 360 deg - the getBounds is wrong
-	if ( this._map.getZoom() <= 2 )
+	if ( this._map.getZoom() <= 2 || this._map.getZoom() == 3 && this._map.getSize().width > 1000 )
 	{
 		bounds = new GLatLngBounds(
Index: /extensions/rv_gmaps/trunk/template/map.tpl
===================================================================
--- /extensions/rv_gmaps/trunk/template/map.tpl	(revision 6244)
+++ /extensions/rv_gmaps/trunk/template/map.tpl	(revision 6245)
@@ -160,5 +160,5 @@
 "displays %s on a map" : "{'displays %s on a map'|@translate|@escape:javascript}",
 "opens %s in Google Earth" : "{'opens %s in Google Earth'|@translate|@escape:javascript}",
-"%d elements" : "{'%d elements'|@translate|@escape:javascript}",
+"%d images" : "{'%d images'|@translate|@escape:javascript}",
 {literal}
 dontMindTheComma: ""
@@ -214,5 +214,5 @@
   </div>
   <div class="titlebar_title">
-    <a href="{$U_HOME}" title="{'return to homepage'|@translate}" class="gmnoprint">{'home'|@translate}</a>
+    <a href="{$U_HOME}" title="{'return to homepage'|@translate}" class="gmnoprint">{'Home'|@translate}</a>
     <a href="{$U_HOME_MAP}" title="{'displays all images on a map'|@translate}"><img src="{$PLUGIN_ROOT_URL}/icons/map_sw.gif" width="32" height="17" alt="map"/></a>
     {'Viewing'|@translate}: <a id="aPageUrl" href=""></a>
Index: /extensions/rv_gmaps/trunk/template/mapl.tpl
===================================================================
--- /extensions/rv_gmaps/trunk/template/mapl.tpl	(revision 6244)
+++ /extensions/rv_gmaps/trunk/template/mapl.tpl	(revision 6245)
@@ -16,5 +16,5 @@
 		<ul class="categoryActions">
 			<li><a href="{$U_KML}" title="{$KML_LINK_TITLE}" rel="nofollow" type="application/vnd.google-earth.kml+xml"><img src="{$PLUGIN_ROOT_URL}/icons/earth_m.png" class="button" alt="earth"></a></li>
-			<li><a target="_top" href="{$U_HOME}" title="{'return to homepage'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}"/></a></li>
+			<li><a target="_top" href="{$U_HOME}" title="{'return to homepage'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"/></a></li>
 		</ul>
 		<h2>{$TITLE}</h2>
@@ -46,5 +46,5 @@
 {/if}
 
-{if not empty($NAVBAR)}<div class="navigationBar">{$NAVBAR}</div>{/if}
+{if !empty($navbar) }{include file='navigation_bar.tpl'}{/if}
 
 {if not empty($thumbnails)}
Index: /extensions/rv_gmaps/trunk/template/picture_map_content.tpl
===================================================================
--- /extensions/rv_gmaps/trunk/template/picture_map_content.tpl	(revision 6244)
+++ /extensions/rv_gmaps/trunk/template/picture_map_content.tpl	(revision 6245)
@@ -25,5 +25,5 @@
 
 <div id="mapPicture">
-<a href="{$U_NO_MAP}" title="{'mode_normal_hint'|@translate}" rel="nofollow"><img src="{$TN_SRC}" alt="thumb"/></a>
+<a href="{$U_NO_MAP}" title="{'return to normal view mode'|@translate}" rel="nofollow"><img src="{$TN_SRC}" alt="thumb"/></a>
 <br/>
 <a href="{$U_BLOWUP}" onclick="return blowupUrl(this.href);">{'More pictures near this location'|@translate}</a>