Index: /extensions/sobre/template/comment_list.tpl
===================================================================
--- /extensions/sobre/template/comment_list.tpl	(revision 6250)
+++ /extensions/sobre/template/comment_list.tpl	(revision 6250)
@@ -0,0 +1,59 @@
+{* $Id: comment_list.tpl By GOTCHA pour son thème "Sobre" $Ver: 2010-05-20 *}
+<ul class="thumbnailCategories">
+{foreach from=$comments item=comment name=comment_loop}
+<li>
+  <div class="thumbnailCategory {if $smarty.foreach.comment_loop.index is odd}odd{else}even{/if}">
+    {if isset($comment.TN_SRC)}
+    <div class="illustration">
+      <a href="{$comment.U_PICTURE}">
+        <img src="{$comment.TN_SRC}" alt="{$comment.ALT}">
+      </a>
+    </div>
+    {/if}
+    <div class="description" style="height:{if isset($comment.IN_EDIT)}200{/if}px">
+      {if isset($comment.U_DELETE) or isset($comment.U_VALIDATE) or isset($comment.U_EDIT) }
+      <ul class="actions" style="float:right">
+        {if isset($comment.U_DELETE)}
+        <li>
+          <a href="{$comment.U_DELETE}" title="{'delete this comment'|@translate}" onclick="return confirm('{'Are you sure?'|@translate|@escape:javascript}');">
+            <img src="{$ROOT_URL}{$themeconf.icon_dir}/delete.png" class="button" alt="[delete]">
+          </a>
+        </li>
+        {/if}
+        {if isset($comment.U_EDIT) and !isset($comment.IN_EDIT)}
+        <li>
+          <a class="editComment" href="{$comment.U_EDIT}#edit_comment" title="{'edit this comment'|@translate}">
+            <img src="{$ROOT_URL}{$themeconf.icon_dir}/edit.png" class="button" alt="[edit]">
+          </a>
+        </li>
+        {/if}
+        {if isset($comment.U_VALIDATE)}
+        <li>
+          <a href="{$comment.U_VALIDATE}" title="{'validate this comment'|@translate}">
+            <img src="{$ROOT_URL}{$themeconf.icon_dir}/validate_s.png" class="button" alt="[validate]">
+          </a>
+        </li>
+        {/if}
+      </ul>
+      {/if}
+      <span class="author">{$comment.AUTHOR}</span> - <span class="date">{$comment.DATE}</span>
+      {if isset($comment.IN_EDIT)}
+      <a name="edit_comment"></a>
+      <form  method="post" action="{$comment.U_EDIT}" class="filter" id="editComment">
+  <fieldset>
+    <legend>{'Edit a comment'|@translate}</legend>
+    <label>{'Comment'|@translate}<textarea name="content" id="contenteditid" rows="5" cols="80">{$comment.CONTENT|@escape}</textarea></label>
+    <input type="hidden" name="key" value="{$comment.KEY}">
+    <input type="hidden" name="image_id" value="{$comment.IMAGE_ID|@default:$current.id}">
+    <input class="submit" type="submit" value="{'Submit'|@translate}">
+  </fieldset>
+      </form>
+      {else}
+      <blockquote><div>{$comment.CONTENT}</div></blockquote>
+	  <hr/>
+      {/if}
+    </div>
+  </div>
+</li>
+{/foreach}
+</ul>
Index: /extensions/sobre/template/footer.tpl
===================================================================
--- /extensions/sobre/template/footer.tpl	(revision 6249)
+++ /extensions/sobre/template/footer.tpl	(revision 6250)
@@ -29,5 +29,5 @@
  <a name="EoP"></a> <!-- End of Page -->
    <br><a href="{$PHPWG_URL}" class="Piwigo">
-  <span class="Piwigo"><img src="./themes/{$themeconf.name}/images/pwg_baniere_pdp.png" border="0"/></span></a><br/>
+  <span class="Piwigo"><img src="./themes/{$themeconf.name}/images/pwg_baniere_pdp.png" alt="visit Piwigo website" /></span></a><br/>
   {if isset($ContactFormLink)}
     {$ContactFormLink}
Index: /extensions/sobre/template/picture.tpl
===================================================================
--- /extensions/sobre/template/picture.tpl	(revision 6249)
+++ /extensions/sobre/template/picture.tpl	(revision 6250)
@@ -31,5 +31,5 @@
   <div class="browsePath">
   	<a href="{$U_HOME}">
-          <img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}"/>
+          <img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}"/></a>
     {if !$IS_HOME}{$LEVEL_SEPARATOR}{$SECTION_TITLE}{/if}
   {$LEVEL_SEPARATOR} <small>{'Viewing name'|@translate}:</small> {$current.TITLE}
@@ -125,5 +125,5 @@
     {if $display_info.author}
 	  <td id="Author" class="label">{'Author'|@translate}</td>
-      <td id="Author" class="value"><p>{if isset($INFO_AUTHOR)}{$INFO_AUTHOR}{else}{'N/A'|@translate}{/if}</p></td>
+      <td class="value"><p>{if isset($INFO_AUTHOR)}{$INFO_AUTHOR}{else}{'N/A'|@translate}{/if}</p></td>
 	{/if}
 	{if $display_info.licence}
@@ -136,9 +136,9 @@
 	{if $display_info.created_on}
       <td id="datecreate" class="label">{'Created on'|@translate}</td>
-      <td id="datecreate" class="value">{if isset($INFO_CREATION_DATE)}{$INFO_CREATION_DATE}{else}{'N/A'|@translate}{/if}</td>
+      <td class="value">{if isset($INFO_CREATION_DATE)}{$INFO_CREATION_DATE}{else}{'N/A'|@translate}{/if}</td>
 	{/if}
     {if $display_info.posted_on}
       <td id="datepost" class="label">{'Posted on'|@translate}</td>
-      <td id="datepost" class="value">{$INFO_POSTED_DATE}</td>
+      <td class="value">{$INFO_POSTED_DATE}</td>
     {/if}
   </tr>
@@ -147,9 +147,10 @@
     {if $display_info.tags}
       <td id="Tags" class="label">{'Tags'|@translate}</td>
-      <td id="Tags" class="value">
+      <td class="value">
 	    <p>
         {if isset($related_tags)}
           {foreach from=$related_tags item=tag name=tag_loop}{if !$smarty.foreach.tag_loop.first}, {/if}
-          <a href="{$tag.URL}" {if !empty($tag.radu_class)}class="{$tag.radu_class}"{/if}>{$tag.name}</a>{/foreach}
+          <a href="{$tag.URL}" {if !empty($tag.radu_class)}class="{$tag.radu_class}"{/if}>{$tag.name}</a>
+		  {/foreach}
 		{/if}
 		</p>
@@ -158,14 +159,12 @@
     {if $display_info.categories}
       <td id="Categories" class="label">{'Categories'|@translate}</td>
-      <td id="Categories" class="value">
-	    <p>
+      <td class="value">
         {if isset($related_categories)}
           <ul>
             {foreach from=$related_categories item=cat}
-              <li>{$cat}</li>
+              <li><p>{$cat}</p></li>
             {/foreach}
           </ul>
          {/if}
-	    </p>
 	  </td>
 	{/if}
@@ -175,5 +174,5 @@
     {if $display_info.file}
       <td id="File" class="label">{'File'|@translate}</td>
-      <td id="File" class="value"><p>{$INFO_FILE}, <small>
+      <td class="value"><p>{$INFO_FILE}, <small>
 	    {if $display_info.dimensions}{if isset($INFO_DIMENSIONS)}{$INFO_DIMENSIONS}{else}{'N/A'|@translate}{/if}, {/if}
 		{if $display_info.filesize}{if isset($INFO_FILESIZE)}{$INFO_FILESIZE}{else}{'N/A'|@translate}{/if}{/if}
@@ -182,16 +181,18 @@
     {if $display_info.visits}
       <td id="Visits" class="label">{'Informations'|@translate}</td>
-      <td id="Visits"class="value">
-        <p>
+      <td class="value">
+	    <p>
           {$INFO_VISITS} {'Visits'|@translate}
-          {if $display_info.average_rate and isset($rate_summary) }, <span id="Average" "ratingSummary">
+          {if $display_info.average_rate and isset($rate_summary)}, <span id="Average" class="ratingSummary">
+		  
             {if $rate_summary.count}
-			  {assign var='rate_text' value='%.2f (rated %d times)'|@translate }
-			  {$pwg->sprintf($rate_text, $rate_summary.average, $rate_summary.count) }
+			  {assign var='rate_text' value='%.2f (rated %d times)'|@translate}
+			  {$pwg->sprintf($rate_text, $rate_summary.average, $rate_summary.count)}
 		    {else}
 			  {'no rate'|@translate}
             {/if}
-		  {/if}
-        </p>
+
+		  </span>{/if}
+		</p>
       </td>
     {/if}
@@ -209,5 +210,5 @@
         </span>
 	  </td>
-	  <td id="rating" class="value">
+	  <td class="value">
         <p>
 		<form action="{$rating.F_ACTION}" method="post" id="rateForm" style="margin:0;">
@@ -234,5 +235,5 @@
     {if $display_info.privacy_level and isset($available_permission_levels) }
 	  <td id="Privacy" class="label">{'Who can see this photo?'|@translate}:</td>
-	  <td id="Privacy" class="value"> 
+	  <td class="value"> 
 		<script type="text/javascript">
 		{literal}function setPrivacyLevel(selectElement, rootUrl, id, level)
@@ -259,5 +260,5 @@
 
 <p>{if isset($metadata)}</p>
-<table id="Metadata" class="infoTable2" summary="{'Some more (technical) info about this picture'|@translate}">
+<table id="Metadata" class="infoTable" summary="{'Some more (technical) info about this picture'|@translate}">
 {foreach from=$metadata item=meta}
   <tr id="{$meta.TITLE}">
@@ -306,9 +307,8 @@
               <input class="submit" type="submit" value="{'Submit comment'|@translate}">
 	        </td>
-            <td class="center" width="100%" align="center">
-              <textarea name="content" id="contentid" rows="5" cols="62" value="Votre commentaire ici. Merci" onFocus="if(this.value=='Votre commentaire ici. Merci')this.value=''">Votre commentaire ici. Merci{$comment_add.CONTENT}
-             </textarea>
+            <td class="center" align="center">
+              <textarea name="content" id="contentid" rows="5" cols="62" onFocus="if(this.value=='Votre commentaire ici. Merci')this.value=''">Votre commentaire ici. Merci{$comment_add.CONTENT}</textarea>
             </td>
-	        <td>
+            <td>
              {'comment'|@translate}<br />
             </td>
Index: /extensions/sobre/theme.css
===================================================================
--- /extensions/sobre/theme.css	(revision 6249)
+++ /extensions/sobre/theme.css	(revision 6250)
@@ -168,9 +168,4 @@
 }
 
-/* Correction du centrage du cadre de la catégorie */
-.content ul.thumbnailCategories {
-  padding-left: 4px;
-}
-
 /* Centrage modifications de la caractéristique de la catégorie. */
 .content div.thumbnailCategory div.description div.text p.Nb_images {
@@ -336,8 +331,4 @@
 	padding-left: 5px;
 }
-table.commentr {
-	margin-top: -20px;
-	margin-bottom: -10px;
-}
 
 /* Tip pour la page d'accueil */
@@ -366,5 +357,8 @@
 .content ul.thumbnailCategories {
 width: 100%;
-}
+padding-left: 4px; /* Correction du centrage du cadre de la catégorie */
+}
+
+
 
 
@@ -396,4 +390,7 @@
 .content ul.thumbnails label {
 	width: 170px;                        /* Optimal : Thumbnail width + 10px */ 
+}
+.content ul.thumbnails span.wrap2, .content div.thumbnailCategory div.description  {
+height:198px;
 }
 