Index: /extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php	(revision 6250)
+++ /extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php	(revision 6251)
@@ -519,5 +519,5 @@
   );
 
-$template->assign('NAVBAR', $navbar);
+$template->assign('navbar', $navbar);
 
 // +-----------------------------------------------------------------------+
@@ -1039,5 +1039,5 @@
   );
 
-$template->assign('NAVBAR', $navbar);
+$template->assign('navbar', $navbar);
 
 // +-----------------------------------------------------------------------+
@@ -1473,5 +1473,5 @@
   );
 
-$template->assign('NAVBAR', $navbar);
+$template->assign('navbar', $navbar);
 
 // +-----------------------------------------------------------------------+
Index: /extensions/NBC_UserAdvManager/trunk/changelog.txt.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/changelog.txt.php	(revision 6250)
+++ /extensions/NBC_UserAdvManager/trunk/changelog.txt.php	(revision 6251)
@@ -167,6 +167,10 @@
             Bug 1572 fixed - Fix unable to read resource: "ConfirmMail.tpl"
             Bug 1574 fixed - Beautifying ConfirmMail page
-            Bug 1576 partially fixed - Compatibility with other database systems than MySql like PostgreSql or Sqlite. Using Piwigo's pwg_db_### integrated functions. There are 2 php functions for mysql still missing for PostgreSql and Sqlite
-            Bug 1586 fixed - Links to official forum topic support and bugtacker were added in plugin's admin page  
+            Bug 1576 fixed - Compatibility with other database systems than MySql like PostgreSql or Sqlite. Using Piwigo's pwg_db_### integrated functions.
+            Bug 1586 fixed - Links to official forum topic support and bugtacker were added in plugin's admin page
+
+-- 2.15.2 : Bug 1551 re-fixed - There was some problems remaining with old version upgrades
+            Some translations revisited
+            Bug 1655 fixed - Navigation bar is usefull again
 */
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/main.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/main.inc.php	(revision 6250)
+++ /extensions/NBC_UserAdvManager/trunk/main.inc.php	(revision 6251)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: UserAdvManager
-Version: 2.15.1
+Version: 2.15.2
 Description: Renforcer la gestion des utilisateurs - Enforce users management
 Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=216
Index: /extensions/NBC_UserAdvManager/trunk/maintain.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/maintain.inc.php	(revision 6250)
+++ /extensions/NBC_UserAdvManager/trunk/maintain.inc.php	(revision 6251)
@@ -91,20 +91,20 @@
 WHERE param = "nbc_UserAdvManager"
 ;';
-  $count = pwg_db_num_rows(pwg_query($query));
-
-/* If old params exist an upgrade is needed */
-/* **************************************** */
-  if ($count == 1)
-  {
-/* Check for upgrade from 2.10 to 2.11 */
-/* *********************************** */
-    $query = '
+  $count1 = pwg_db_num_rows(pwg_query($query));
+  
+  $query = '
 SELECT *
   FROM '.CONFIG_TABLE.'
 WHERE param = "nbc_UserAdvManager_ConfirmMail"
 ;';
-    $count = pwg_db_num_rows(pwg_query($query)); 
-  
-    if ($count == 0)
+  $count2 = pwg_db_num_rows(pwg_query($query)); 
+
+/* If old params exist an upgrade is needed */
+/* **************************************** */
+  if ($count1 == 1)
+  {
+/* Check for upgrade from 2.10 to 2.11 */
+/* *********************************** */
+    if ($count1 == 1 and $count2 == 0)
     {
     /* upgrade from branch 2.10 to 2.11 */
@@ -128,13 +128,4 @@
     $fields = mysql_list_fields($conf['db_base'],USER_CONFIRM_MAIL_TABLE);
     $nb_fields = mysql_num_fields($fields); 
-
-//  $query = '
-//SELECT *
-//FROM '.USER_CONFIRM_MAIL_TABLE.'
-//;';
-
-//  $result = pwg_query($query);
-	
-//	$numfields = mysql_num_fields($result);
 
     if ($nb_fields < 6)
@@ -158,28 +149,27 @@
 /* Check for upgrade from 2.14 to 2.15 */
 /* *********************************** */
-  	$query1 = '
+    //if ($count1 == 1 or $count2 == 1)
+    //{
+    /* upgrade from branch 2.14 to 2.15 */
+    /* ******************************** */
+      upgrade_214_215();
+    //}
+  }
+
+/* Check if old version is > 2.15 */
+/* ****************************** */
+   $query = '
 SELECT param
   FROM '.CONFIG_TABLE.'
-WHERE param = "nbc_UserAdvManager"
-;';
-    $count1 = mysql_num_rows(pwg_query($query1));
+WHERE param LIKE \"UserAdvManager%\"
+;';
+  $count = pwg_db_num_rows(pwg_query($query));
   
-    $query1 = '
-SELECT param
-  FROM '.CONFIG_TABLE.'
-WHERE param = "nbc_UserAdvManager_ConfirmMail"
-;';
-    $count2 = mysql_num_rows(pwg_query($query1)); 
-  
-    if ($count1 == 1 or $count2 == 1)
-    {
-    /* upgrade from branch 2.14 to 2.15 */
-    /* ******************************** */
-      upgrade_214_215();
-    }
-  }
-  
-/* Check for upgrade from 2.15 to 2.xx */
-/* *********************************** */
+  if ($count == 2)
+  {
+    upgrade_2151_2152();
+  }
+
+load_conf_from_db('param like \'UserAdvManager\\_%\'');
 }
 