Index: /extensions/LLGBO2/admin/llgbo_admin.php
===================================================================
--- /extensions/LLGBO2/admin/llgbo_admin.php	(revision 6258)
+++ /extensions/LLGBO2/admin/llgbo_admin.php	(revision 6259)
@@ -34,5 +34,17 @@
 include(LLGBO_PATH.'defaultvalues.php');
 
-
+/* ****************************************************** */
+/* Plugin template initialisation for admin panel display */
+/* ****************************************************** */
+global $template , $conf,$lang; 
+{$template->assign( 'LLGBO_VERSION' , LLGBO_INFO_VERSION);}
+$me = get_plugin_data($plugin_id);
+$template->assign('LLGBOINFO','');
+//  
+$query =" SELECT ID FROM  piwigo_themes where id like '%gally%' " ;
+$result = pwg_query($query);
+ while ($row = pwg_db_fetch_assoc($result))
+ { 	$template->assign( 'GALLY', 'Msg');	}
+//
 // +-----------------------------------------------------------------------+
 // |                            Tabssheet
@@ -50,5 +62,5 @@
 $disptabframe = 'false';
 $disptabheader = 'false';	
-			   
+$tabsheet->select($page['tab']);
 if (!isset($_POST['llgbo_frame'])   ) 
 	{$disptabframe = $conf['LLGBO_SETTINGS'][0] ;} 	
@@ -97,13 +109,4 @@
 {$template->set_filenames( array('llgbo_admin_content' => dirname(__FILE__).'/llgbo_adminheader.tpl') );}
 $tabsheet->select($page['tab']);
-/* ****************************************************** */
-/* Plugin template initialisation for admin panel display */
-/* ****************************************************** */
-global $template , $conf,$lang; 
-{$template->assign( 'LLGBO_VERSION' , LLGBO_INFO_VERSION);}
-$me = get_plugin_data($plugin_id);
-$template->assign('LLGBOINFO','');
-// Load configuration settings from database
-
 
 $template->append('head_elements',
Index: /extensions/LLGBO2/admin/llgbo_adminframe.tpl
===================================================================
--- /extensions/LLGBO2/admin/llgbo_adminframe.tpl	(revision 6258)
+++ /extensions/LLGBO2/admin/llgbo_adminframe.tpl	(revision 6259)
@@ -1,5 +1,5 @@
 
 {if !empty($LLGBOINFO)}<div class="infos" style="text-align:left;padding-left:50px;" >{$LLGBOINFO|@translate}</div>{/if}
- <h2> {'Title'|@translate} <br>  {$LLGBO_VERSION}</h2>
+ <h2> {'Title'|@translate} -> {$LLGBO_VERSION}</h2>
  <h3>{'Step3_Title'|@translate}</h3>
 <form method="post" action="" class="properties">
Index: /extensions/LLGBO2/admin/llgbo_adminheader.tpl
===================================================================
--- /extensions/LLGBO2/admin/llgbo_adminheader.tpl	(revision 6258)
+++ /extensions/LLGBO2/admin/llgbo_adminheader.tpl	(revision 6259)
@@ -1,4 +1,4 @@
 {if !empty($LLGBOINFO)}<div class="infos" style="text-align:left;padding-left:50px;" >{$LLGBOINFO|@translate}</div>{/if}
-<h2> {'Title'|@translate} <br>  {$LLGBO_VERSION}</h2>
+<h2> {'Title'|@translate} -> {$LLGBO_VERSION}</h2>
 <h3>{'Step4_Title'|@translate}</h3>
 <form method="post" action="{$llgbo_F_ACTION}" class="properties">
Index: /extensions/LLGBO2/admin/llgbo_adminsettings.tpl
===================================================================
--- /extensions/LLGBO2/admin/llgbo_adminsettings.tpl	(revision 6258)
+++ /extensions/LLGBO2/admin/llgbo_adminsettings.tpl	(revision 6259)
@@ -1,11 +1,8 @@
 
 {if !empty($LLGBOINFO)}<div class="infos" style="text-align:left;padding-left:50px;" >{$LLGBOINFO|@translate}</div>{/if}
- <h2> {'Title'|@translate} <br>  {$LLGBO_VERSION}</h2>
+ <h2> {'Title'|@translate} -> {$LLGBO_VERSION}</h2>
 <h3>{'Howto'|@translate}</h3>
-{if !empty($GALLY)}
-<span>{'llgo_warning_setting'|@translate} </span>{/if}
 <form method="post" action="" class="properties">
 <fieldset>
-
 <table id="llgbotable">
 	<tr>
@@ -45,5 +42,5 @@
 		<td class="llgboinput">{html_radios name='llgbo_header' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER}</td>	
 	</tr>	
-	<tr>
+	<tr><td class="llgbolabel"><HR WIDTH=80% ALIGN=LEFT></td> <td></td>
 	</tr>
 	<tr>
@@ -54,4 +51,7 @@
 
 <div align="center"><br><br><input class="submit" type="submit" value="{'Reset_To_Default'|@translate}" name="reset"/> <input class="submit" type="submit" value="{'submit'|@translate}" name="submit" /></div>
+<br>
+{if !empty($GALLY)}
+<span>{'llgo_warning_setting'|@translate} </span>{/if}
 </fieldset>
 </form>
Index: /extensions/LLGBO2/css/look_like_gbo2_admin.css
===================================================================
--- /extensions/LLGBO2/css/look_like_gbo2_admin.css	(revision 6258)
+++ /extensions/LLGBO2/css/look_like_gbo2_admin.css	(revision 6259)
@@ -21,6 +21,7 @@
 }
 .llgboinput{
-	text-align:left;
+	text-align:right;
 	margin :0;
+	width:100px;
 
 }
@@ -33,5 +34,5 @@
 #llgbotable{
 	margin:1em;
-	width:550px;
+	width:600px;
 margin:auto} 
 #llgboHeadertable{
Index: /extensions/LLGBO2/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/en_UK/plugin.lang.php	(revision 6258)
+++ /extensions/LLGBO2/language/en_UK/plugin.lang.php	(revision 6259)
@@ -83,5 +83,5 @@
 $lang['llgbo_always_displayexif'] = 'Always display METADATA:' ;
 $lang['Reset_To_Default'] = 'Reset to default values';
-/*TODO*/$lang['llgo_warning_setting'] = 'Frame around picture and navigation on picture are not available with Gally';
+/*TODO*/$lang['llgo_warning_setting'] = 'Frame around picture and navigation on picture are not available with Gally themes';
 /*TODO*/$lang['llgbo_hdShadowbox'] ='Compliance HD Shadowbox and navigation on picture. <br> HD Shadowbox must be activated!';
 ?>
Index: /extensions/LLGBO2/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/es_ES/plugin.lang.php	(revision 6258)
+++ /extensions/LLGBO2/language/es_ES/plugin.lang.php	(revision 6259)
@@ -89,5 +89,5 @@
 $lang['llgbo_always_displayexif'] = 'Siempre fijar el METADATA:' ;
 /* TODO */$lang['Reset_To_Default'] = 'Restaurar los valores por defecto';
-/*TODO*/$lang['llgo_warning_setting'] = 'Frame around picture and navigation on picture are not available with Gally';
+/*TODO*/$lang['llgo_warning_setting'] = 'Frame around picture and navigation on picture are not available with Gally themes';
 /*TODO*/$lang['llgbo_hdShadowbox'] ='Compliance HD Shadowbox and navigation on picture. <br> HD Shadowbox must be activated !';
 ?>
Index: /extensions/LLGBO2/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/fr_FR/plugin.lang.php	(revision 6258)
+++ /extensions/LLGBO2/language/fr_FR/plugin.lang.php	(revision 6259)
@@ -83,5 +83,5 @@
 $lang['llgbo_always_displayexif'] = 'Toujours afficher les Metadata:' ;
 $lang['Reset_To_Default'] = 'Rétablir les valeurs par défaut';
-$lang['llgo_warning_setting'] = 'Le cadre et la navigation sur image ne sont pas disponibles avec Gally';
+$lang['llgo_warning_setting'] = 'Le cadre et la navigation sur image ne sont pas disponibles avec les thémes Gally';
 $lang['llgbo_hdShadowbox'] ='Compatibilité de HD Shadowbox avec la navigation sur image. <br> le plugin HD Shadowbox doit être activé! ';
 ?>
Index: /extensions/LLGBO2/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/hu_HU/plugin.lang.php	(revision 6258)
+++ /extensions/LLGBO2/language/hu_HU/plugin.lang.php	(revision 6259)
@@ -82,5 +82,5 @@
 $lang['previewsamples']= 'Minta megtekintése'; 
 $lang['llgbo_always_displayexif'] = 'Mindig megjelenő METAADATOK (EXIF):' ;
-/*TODO*/$lang['llgo_warning_setting'] = 'Frame around picture and navigation on picture are not available with Gally';
+/*TODO*/$lang['llgo_warning_setting'] = 'Frame around picture and navigation on picture are not available with Gally themes';
 /*TODO*/$lang['llgbo_hdShadowbox'] ='Compliance HD Shadowbox and navigation on picture. <br> HD Shadowbox must be activated';
 ?>
Index: /extensions/LLGBO2/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/pl_PL/plugin.lang.php	(revision 6258)
+++ /extensions/LLGBO2/language/pl_PL/plugin.lang.php	(revision 6259)
@@ -83,5 +83,5 @@
 $lang['llgbo_always_displayexif'] = 'Zawsze wyświetlaj metadane:' ;
 /* TODO */$lang['Reset_To_Default'] = 'Przywróć wartości domyślne';
-/*TODO*/$lang['llgo_warning_setting'] = 'Frame around picture and navigation on picture are not available with Gally';
+/*TODO*/$lang['llgo_warning_setting'] = 'Frame around picture and navigation on picture are not available with Gally themes';
 /*TODO*/$lang['llgbo_hdShadowbox'] ='Compliance HD Shadowbox and navigation on picture';
 ?>
Index: /extensions/LLGBO2/main.inc.php
===================================================================
--- /extensions/LLGBO2/main.inc.php	(revision 6258)
+++ /extensions/LLGBO2/main.inc.php	(revision 6259)
@@ -8,5 +8,6 @@
 Description:  Display thumbnail under button. Add navigation on picture look like GBo Gallery 
 Add a border around  picture ......
-  2.1.a compliant 2.1 Piwigo */
+  2.1.a compliant 2.1 Piwigo
+  2.1.b fix minor bugs in administration  */
 
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
@@ -23,4 +24,5 @@
  $conf['LLGBO_FRAME'] = explode (",",$conf['LLGBOFRAME']); 
  $conf['LLGBO_HEADER'] = explode (",",$conf['LLGBOHEADER']);   
+ 
 /////////////////////////////////////////////////////
 /*  PLUGIN CLASS  */
@@ -194,5 +196,5 @@
 
 if (( strpos(strtoupper($tpl_name) , 'GALLY') === 0) )
- { 						return $content;  ; }	// Not compliant with Gally
+	{ 	return $content;  ; }	// Not compliant with Gally
 /////////////////////////////////////////////////////////////////	
 If (($conf['LLGBO_SETTINGS'] [1]  == 'true' )/*  tooltip display  */  or ($conf['LLGBO_SETTINGS'] [0] == 'true') /*  frame  */ 	)
@@ -263,5 +265,5 @@
 			</script>'  );} 
            else
-           {$template->assign('HDHREF','href="javascript:phpWGOpenWindow('."'".$ThePicture['high_url']."','".$uuid."','"."scrollbars=yes,toolbar=no,status=no,resizable=yes'".')"');}		   
+           {$template->assign('HDHREF','title="'.$lang['Click on the picture to see it in high definition'].'" href="javascript:phpWGOpenWindow('."'".$ThePicture['high_url']."','".$uuid."','"."scrollbars=yes,toolbar=no,status=no,resizable=yes'".')"');}		   
 			
 } 
Index: /extensions/LLGBO2/maintain.inc.php
===================================================================
--- /extensions/LLGBO2/maintain.inc.php	(revision 6258)
+++ /extensions/LLGBO2/maintain.inc.php	(revision 6259)
@@ -71,6 +71,11 @@
  or  (!isset($conf['LLGBOTOOLTIP'])) or (substr_count($conf['LLGBOTOOLTIP'], ',')  != 5) 
  or  (!isset($conf['LLGBOFRAME'])) or (substr_count($conf['LLGBOFRAME'], ',')  != 32)
- or  (!isset($conf['LLGBOHEADER'])) or (substr_count($conf['LLGBOHEADER'], ',')  != 21))  
-	{	  plugin_install(); }
+ or  (!isset($conf['LLGBOHEADER'])) or (substr_count($conf['LLGBOHEADER'], ',')  != 20))  
+	{	
+echo '1-'.substr_count($conf['LLGBO'], ',');
+echo '2-'.substr_count($conf['LLGBOTOOLTIP'], ',');
+echo '3-'.substr_count($conf['LLGBOFRAME'], ',');
+echo '4-'.substr_count($conf['LLGBOHEADER'], ',');
+	plugin_install(); }
 }
 