Index: /trunk/language/it_IT/common.lang.php
===================================================================
--- /trunk/language/it_IT/common.lang.php	(revision 6267)
+++ /trunk/language/it_IT/common.lang.php	(revision 6268)
@@ -376,5 +376,5 @@
 $lang['... or browse your empty gallery'] = '... o navigate nella nostra galleria vuota';
 $lang['... or please deactivate this message, I will find my way by myself'] = '... oppure disattivare questo messaggio, voglio riuscirci da solo';
-$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Salve %s, la vfostra galleria fotografica Piwigo è vuota!';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Salve %s, la vostra galleria fotografica Piwigo è vuota!';
 $lang['I want to add photos'] = 'Voglio aggiungere delle immagini';
 $lang['Manage this user comment: %s'] = 'Gestire questo commento: %s';
Index: /trunk/language/it_IT/upgrade.lang.php
===================================================================
--- /trunk/language/it_IT/upgrade.lang.php	(revision 6267)
+++ /trunk/language/it_IT/upgrade.lang.php	(revision 6268)
@@ -25,19 +25,19 @@
 
 $lang['Upgrade'] = 'Aggiornamento';
-$lang['This page proposes to upgrade your database corresponding to your old version of Piwigo to the current version. The upgrade assistant thinks you are currently running a <strong>release %s</strong> (or equivalent).'] = 'Questa pagina vi propone di aggiornare la vostra base dati corrispondente alla vecchia versione di Piwigo verso la nuova versione.
-L\'assistente all\'aggiornamento ha identificato il vostro prodotto attuale come essendo una <strong>versione %s</strong> (o equivalente).';
-$lang['Upgrade from version %s to %s'] = 'Aggiornamento dalla versione %s alla versione %s';
+$lang['This page proposes to upgrade your database corresponding to your old version of Piwigo to the current version. The upgrade assistant thinks you are currently running a <strong>release %s</strong> (or equivalent).'] = 'Questa pagina vi propone di aggiornare il vostro database corrispondente alla vecchia versione di Piwigo con la nuova versione.
+L\'assistente all\'aggiornamento ha identificato la vostra attuale <strong>versione %s</strong> (o equivalente).';
+$lang['Upgrade from version %s to %s'] = 'Aggiornamento dalla versione %s alla %s';
 $lang['Statistics'] = 'Statistiche';
-$lang['total upgrade time'] = 'tempo totale per l\'aggiornamento';
-$lang['total SQL time'] = 'tempo totale delle esecuzioni SQL';
-$lang['SQL queries'] = 'numero delle esecuzioni SQL';
-$lang['Upgrade informations'] = 'Informazioni sull\'aggiornamento';
+$lang['total upgrade time'] = 'tempo totale aggiornamento';
+$lang['total SQL time'] = 'tempo totale SQL';
+$lang['SQL queries'] = 'queries SQL';
+$lang['Upgrade informations'] = 'Informazioni aggiornamento';
 $lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = 'Se riscontrate dei problemi, effettuare una manutezione in [Amministrazione>Speciale>Manutenzione].';
-$lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'Per precauzione, i plugins sono stati disattivati. Verificate se non esistono degli aggiornamenti prima di riattivarli:';
-$lang['Only administrator can run upgrade: please sign in below.'] = 'Solo un\'amministratore può eseguire l\'aggiornamento: identificatevi.';
+$lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'Per precauzione, i plugins seguenti sono stati disattivati. E\' necessario verificare l\'aggiornamento dei plugins prima di riattivarli:';
+$lang['Only administrator can run upgrade: please sign in below.'] = 'Solo l\'amministratore può eseguire l\'aggiornamento: fate login.';
 $lang['You do not have access rights to run upgrade'] = 'Non avete le autorizzazioni necessarie per effettuare l\'aggiornamento';
 $lang['All sub-categories of private categories become private'] = 'Tutte le sottocategorie delle categorie private diventono private';
 $lang['User permissions and group permissions have been erased'] = 'I permessi degli utenti e dei gruppi sono stati cancellati';
-$lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Solo il prefisso delle miniature e l\'indirizzo Email del webmaster sono stati recuperati dalla precedente configurazione';
+$lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Solo il prefisso delle miniature e l\'indirizzo email del webmaster sono stati recuperati dalla precedente configurazione';
 $lang['In <i>%s</i>, before <b>?></b>, insert:'] = 'Nel file <i>%s</i>, prima di <b>?></b>, inserite:';
 ?>