Index: /branches/2.1/language/fr_FR/admin.lang.php
===================================================================
--- /branches/2.1/language/fr_FR/admin.lang.php	(revision 6276)
+++ /branches/2.1/language/fr_FR/admin.lang.php	(revision 6277)
@@ -191,8 +191,8 @@
 $lang['You cannot move a category in its own sub category'] = "Vous ne pouvez pas déplacer une catégorie dans sa propre sous-catégorie";
 $lang['You need to confirm deletion'] = "Vous devez confirmer la suppression";
-$lang['add tags'] = "ajouter les tags";
+$lang['add tags'] = "Ajouter les tags";
 $lang['Adviser'] = "Conseiller";
-$lang['associate to category'] = "associer à la catégorie";
-$lang['associate to group'] = "associer au groupe";
+$lang['associate to category'] = "Associer à la catégorie";
+$lang['associate to group'] = "Associer au groupe";
 $lang['Authorized'] = "Autorisés";
 $lang['Add a virtual category'] = "Ajouter une catégorie virtuelle";
@@ -218,13 +218,13 @@
 $lang['The number of comments a page must be between 5 and 50 included.'] = "Le nombre de commentaires d'utilisateurs par page doit être compris entre 5 et 50.";
 $lang['Configuration'] = "Configuration";
-$lang['confirm'] = "confirmer";
+$lang['confirm'] = "Confirmer";
 $lang['Date'] = "Date";
 $lang['delete category'] = "supprimer la catégorie";
-$lang['dissociate from category'] = "dissocier de la catégorie";
-$lang['dissociate from group'] = "dissocier du groupe";
+$lang['dissociate from category'] = "Dissocier de la catégorie";
+$lang['dissociate from group'] = "Dissocier du groupe";
 $lang['edit category permissions'] = "Modifier les permissions de la catégorie";
 $lang['Category informations updated successfully.'] = "Les informations de la catégorie ont été mises à jour avec succès.";
 $lang['Authorize upload'] = "Autoriser l'ajout d'images";
-$lang['elements per page'] = "éléments par page";
+$lang['elements per page'] = "Nombre d'éléments par page à afficher";
 $lang['elements'] = "éléments";
 $lang['High definition enabled'] = "Haute définition actif";
@@ -233,5 +233,5 @@
 $lang['first element added on %s'] = "premier élément ajouté le %s";
 $lang['Forbidden'] = "Interdits";
-$lang['global mode'] = "mode global";
+$lang['global mode'] = "Mode global";
 $lang['group "%s" added'] = "groupe \"%s\" ajouté";
 $lang['group "%s" deleted'] = "groupe \"%s\" supprimé";
@@ -361,12 +361,12 @@
 $lang['synchronize'] = "synchroniser";
 $lang['update the database from files'] = "met à jour la base de données à partir des fichiers";
-$lang['status'] = "statut";
+$lang['status'] = "Statut";
 $lang['Directory'] = "Répertoire";
 $lang['sub-categories'] = "sous-catégories";
-$lang['synchronize metadata'] = "synchroniser les méta-données";
+$lang['synchronize metadata'] = "Synchroniser les méta-données";
 $lang['synchronize'] = "synchroniser";
-$lang['target'] = "cible";
+$lang['target'] = "Cible";
 $lang['Thumbnail'] = "Miniature";
-$lang['title'] = "titre";
+$lang['title'] = "Titre";
 $lang['Categories management'] = "Gestion des catégories";
 $lang['Piwigo configuration'] = "Configuration de Piwigo";
@@ -379,5 +379,5 @@
 $lang['Database synchronization with files'] = "Synchronisation de la base à partir des fichiers de";
 $lang['Pictures waiting for validation'] = "Images en attente de validation";
-$lang['all'] = "tout";
+$lang['all'] = "Tout";
 $lang['pictures without thumbnail (jpeg and png only)'] = "images sans miniature (jpeg et png uniquement)";
 $lang['height must be a number superior to'] = "la hauteur doit un entier supérieur à";
@@ -397,5 +397,5 @@
 $lang['total time'] = "temps total";
 $lang['for this file format'] = "pour ce format de fichier";
-$lang['unit mode'] = "mode unitaire";
+$lang['unit mode'] = "Mode unitaire";
 $lang['Unlocked'] = "Déverrouillées";
 $lang['unset'] = "vider";
@@ -403,7 +403,7 @@
 $lang['Update images informations'] = "Mettre à jour les informations des images";
 $lang['Synchronize'] = "Synchroniser";
-$lang['reduce to single existing categories'] = "traiter uniquement une catégorie";
+$lang['reduce to single existing categories'] = "Traiter uniquement une catégorie";
 $lang['Choose an option'] = "Choisir une option";
-$lang['display maximum informations (added categories and elements, deleted categories and elements)'] = "afficher un maximum d'informations (catégories ajoutées, éléments ajoutés, catégories et éléments supprimés)";
+$lang['display maximum informations (added categories and elements, deleted categories and elements)'] = "Afficher un maximum d'informations (catégories ajoutées, éléments ajoutés, catégories et éléments supprimés)";
 $lang['Piwigo version differs on the remote site'] = "La version Piwigo sur le site distant est différente";
 $lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = "Les version de create_listing_file.php sur le site distant et Piwigo doivent être les mêmes";
@@ -431,9 +431,9 @@
 $lang['only perform a simulation (no change in database will be made)'] = "Simuler uniquement (aucun changement ne sera fait dans la base de données)";
 $lang['[Simulation]'] = "[Simulation]";
-$lang['directories + files'] = "répertoires + fichiers";
-$lang['only directories'] = "répertoires uniquement";
-$lang['synchronize files structure with database'] = "synchroniser la structure des fichiers avec la base de données";
-$lang['synchronize files metadata with database elements informations'] = "synchroniser les informations des éléments de la base de données à partir des méta-données des fichiers";
-$lang['even already synchronized elements'] = "même les éléments déjà synchronisés";
+$lang['directories + files'] = "Répertoires + fichiers";
+$lang['only directories'] = "Répertoires uniquement";
+$lang['synchronize files structure with database'] = "Synchroniser la structure des fichiers avec la base de données";
+$lang['synchronize files metadata with database elements informations'] = "Synchroniser les informations des éléments de la base de données à partir des méta-données des fichiers";
+$lang['even already synchronized elements'] = "Même les éléments déjà synchronisés";
 $lang['Used metadata'] = "Méta-données employées";
 $lang['The name of directories and files must be composed of letters, numbers, "-", "_" or "."'] = "Le nom des répertoires et des fichiers ne doit être constitué que de lettres, de chiffres, de \"-\", \"_\" et \".\"";
@@ -524,5 +524,5 @@
 $lang['User "%s" created with "%s" like password'] = "Utilisateur \"%s\" créé avec le mot de passe \"%s\"";
 $lang['Status of user "%s" updated'] = "Statut de l'utilisateur \"%s\" mis à jour";
-$lang['add new elements to caddie'] = "ajouter les nouveaux éléments au panier";
+$lang['add new elements to caddie'] = "Ajouter les nouveaux éléments au panier";
 $lang['No display'] = "Pas d'affichage";
 $lang['Classic display'] = "Affichage classique";
@@ -605,6 +605,6 @@
 $lang['Modify information'] = "Modifier les informations";
 $lang['edit category informations'] = "éditer les informations de cette catégorie";
-$lang['nothing'] = "rien";
-$lang['overrides existing values with empty ones'] = "écraser les données existantes avec des données vides";
+$lang['nothing'] = "Rien";
+$lang['overrides existing values with empty ones'] = "Ecraser les données existantes avec des données vides";
 $lang['manage image ranks'] = "gérer l'ordre des images";
 $lang['Manage image ranks'] = "Gérer l'ordre des images";