Index: /extensions/blancmontxl/admin/admin.inc.php
===================================================================
--- /extensions/blancmontxl/admin/admin.inc.php	(revision 6285)
+++ /extensions/blancmontxl/admin/admin.inc.php	(revision 6286)
@@ -8,4 +8,5 @@
   'picture',
   'other',
+  'ico',
 );
 
@@ -16,4 +17,6 @@
     $_POST['bmxl'][$option] = empty($_POST['bmxl'][$option]) ? false : true;
   }
+  
+  $_POST['bmxl']['ico'] = file_exists('themes/montblancxl/icon/add_tag.png') ? $_POST['bmxl']['ico'] : false ;
 
   $query = '
Index: /extensions/blancmontxl/admin/admin.tpl
===================================================================
--- /extensions/blancmontxl/admin/admin.tpl	(revision 6285)
+++ /extensions/blancmontxl/admin/admin.tpl	(revision 6286)
@@ -24,4 +24,8 @@
           <input type="checkbox" name="bmxl[other]" value="true" {if $bmxl.other}checked="checked"{/if}>
         </li>
+		 <li>
+          <span class="property">{'Use MontBlancXL icon set'|@translate}</span>
+          <input type="checkbox" name="bmxl[ico]" value="true" {if $bmxl.ico}checked="checked"{/if}>
+        </li>
       </ul>
   </fieldset>
Index: /extensions/blancmontxl/admin/maintain.inc.php
===================================================================
--- /extensions/blancmontxl/admin/maintain.inc.php	(revision 6285)
+++ /extensions/blancmontxl/admin/maintain.inc.php	(revision 6286)
@@ -12,4 +12,5 @@
       'picture'    => false,
       'other'      => true,
+	  'ico'        => false,
       );
       
Index: /extensions/blancmontxl/language/en_UK/theme.lang.php
===================================================================
--- /extensions/blancmontxl/language/en_UK/theme.lang.php	(revision 6285)
+++ /extensions/blancmontxl/language/en_UK/theme.lang.php	(revision 6286)
@@ -5,4 +5,5 @@
 $lang['Display page banner on picture page'] = 'Display page banner on picture page';
 $lang['Display page banner on other pages'] = 'Display page banner on other pages';
+$lang['Use MontBlancXL icon set'] = 'Use <a href="http://piwigo.org/ext/extension_view.php?eid=133">MontBlancXL</a> icon set (theme needed)';
 
 ?>
Index: /extensions/blancmontxl/language/es_ES/theme.lang.php
===================================================================
--- /extensions/blancmontxl/language/es_ES/theme.lang.php	(revision 6285)
+++ /extensions/blancmontxl/language/es_ES/theme.lang.php	(revision 6286)
@@ -5,4 +5,5 @@
 $lang['Display page banner on picture page'] = 'Fijar la bandera sobre la página de las fotos';
 $lang['Display page banner on other pages'] = 'Fijar la bandera sobre otras páginas';
+$lang['Use MontBlancXL icon set'] = 'Utilice <a href="http://piwigo.org/ext/extension_view.php?eid=133">MontBlancXL</a> iconos (tema es necesario)';
 
 ?>
Index: /extensions/blancmontxl/language/fr_FR/theme.lang.php
===================================================================
--- /extensions/blancmontxl/language/fr_FR/theme.lang.php	(revision 6285)
+++ /extensions/blancmontxl/language/fr_FR/theme.lang.php	(revision 6286)
@@ -5,4 +5,5 @@
 $lang['Display page banner on picture page'] = 'Afficher la bannière sur la page des photos';
 $lang['Display page banner on other pages'] = 'Afficher la bannière sur les autres pages';
+$lang['Use MontBlancXL icon set'] = 'Utiliser le jeu d\'icones de <a href="http://piwigo.org/ext/extension_view.php?eid=133">MontBlancXL</a> (theme nécessaire)';
 
 ?>
Index: /extensions/blancmontxl/themeconf.inc.php
===================================================================
--- /extensions/blancmontxl/themeconf.inc.php	(revision 6285)
+++ /extensions/blancmontxl/themeconf.inc.php	(revision 6286)
@@ -2,5 +2,5 @@
 /*
 Theme Name: BlancMont XL
-Version: 2.1.a
+Version: 2.1.c
 Description: Night theme
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=232
@@ -11,8 +11,10 @@
 $themeconf = array(
   'parent'      => 'default',
-  'icon_dir'    => 'themes/blancmontxl/icon',
   'local_head'  => 'local_head.tpl',
 );
 
+global $conf;
+$config = unserialize($conf['BlancmontXL']);
+$themeconf['icon_dir']=$config['ico'] ? 'themes/montblancxl/icon' : 'themes/blancmontxl/icon' ;
 
 add_event_handler('loc_begin_page_header', 'set_bmxl_header');
@@ -36,7 +38,5 @@
     $header = $config['other'];
   }
-
   $template->assign('display_bmxl_banner', $header);
 }
-
 ?>