Index: /branches/2.1/language/ar_SA/admin.lang.php
===================================================================
--- /branches/2.1/language/ar_SA/admin.lang.php	(revision 6288)
+++ /branches/2.1/language/ar_SA/admin.lang.php	(revision 6289)
@@ -617,5 +617,4 @@
 $lang['Quick Local Synchronization'] = 'فحص سريع للمستجدات';
 $lang['No photo can be deleted'] = 'لا صور يمكن حذفها';
-$lang['Note: Only deletes photos added with pLoader'] = 'pLoader ملاحظة :فقط يمكنك حذف الصورالمحملة عن طريق برنامج';
 $lang['Delete selected photos'] = 'حذف الصورالمختارة';
 $lang['%d photo was deleted'] = ' صورة محذوفة %d';
Index: /branches/2.1/language/cs_CZ/admin.lang.php
===================================================================
--- /branches/2.1/language/cs_CZ/admin.lang.php	(revision 6288)
+++ /branches/2.1/language/cs_CZ/admin.lang.php	(revision 6289)
@@ -615,5 +615,4 @@
 $lang['Quick Local Synchronization'] = 'Rychlá místní synchronizace';
 $lang['No photo can be deleted'] = 'Fotografie nemůže být vymazána';
-$lang['Note: Only deletes photos added with pLoader'] = 'Poznámka: odstraní pouze fotografie přidané pomocí pLoaderu';
 $lang['Delete selected photos'] = 'Vymazat vybrané fotografie';
 $lang['%d photo was deleted'] = '%d fotografie vymazána';
Index: /branches/2.1/language/da_DK/admin.lang.php
===================================================================
--- /branches/2.1/language/da_DK/admin.lang.php	(revision 6288)
+++ /branches/2.1/language/da_DK/admin.lang.php	(revision 6289)
@@ -616,5 +616,4 @@
 $lang['Quick Local Synchronization']     =     'Quick Lokal synkronisering';
 $lang['No photo can be deleted']     =     'Intet foto kan slettes';
-$lang['Note: Only deletes photos added with pLoader']     =     'Note: Kun billeder tilføjet med pLoader kan slettes';
 $lang['Delete selected photos']     =     'Slet valgte billeder';
 $lang['%d photo was deleted']     =     ' %d billede slettet';
Index: /branches/2.1/language/de_DE/admin.lang.php
===================================================================
--- /branches/2.1/language/de_DE/admin.lang.php	(revision 6288)
+++ /branches/2.1/language/de_DE/admin.lang.php	(revision 6289)
@@ -612,5 +612,4 @@
 $lang['Quick Local Synchronization'] = 'Schnelle Synchronisierung';
 $lang['No photo can be deleted'] = 'Kein Foto kann gelöscht werden';
-$lang['Note: Only deletes photos added with pLoader'] = 'Bitte beachten: Nur über pLoader hochgeladene Fotos können damit entfernt werden';
 $lang['Delete selected photos'] = 'Lösche ausgewählte Fotos';
 $lang['%d photo was deleted'] = '%d Foto wurde gelöscht';
Index: /branches/2.1/language/en_UK/admin.lang.php
===================================================================
--- /branches/2.1/language/en_UK/admin.lang.php	(revision 6288)
+++ /branches/2.1/language/en_UK/admin.lang.php	(revision 6289)
@@ -241,4 +241,5 @@
 $lang['This name is already used by another group.'] = "This name is already used by another group.";
 $lang['Groups'] = "Groups";
+
 $lang['High definition'] = "High definition";
 $lang['jump to category'] = "jump to category";
@@ -617,5 +618,5 @@
 $lang['Quick Local Synchronization'] = "Quick Local Synchronization";
 $lang['No photo can be deleted'] = "No photo can be deleted";
-$lang['Note: Only deletes photos added with pLoader'] = "Note: Only photos added with pLoader can be deleted";
+$lang['Note: Only deletes photos added with API'] = "Note: photo deletion does not apply to photos added by synchronization. For photos added by synchronization, remove them from the filesystem and then perform another synchronization.";
 $lang['Delete selected photos'] = "Delete selected photos";
 $lang['%d photo was deleted'] = "%d photo deleted";
Index: /branches/2.1/language/es_ES/admin.lang.php
===================================================================
--- /branches/2.1/language/es_ES/admin.lang.php	(revision 6288)
+++ /branches/2.1/language/es_ES/admin.lang.php	(revision 6289)
@@ -612,5 +612,4 @@
 $lang['Quick Local Synchronization'] = 'Sincronización Rápida';
 $lang['No photo can be deleted'] = 'Ninguna foto puede ser suprimida';
-$lang['Note: Only deletes photos added with pLoader'] = 'Nota: Solo las fotos añadidas con pLoader pueden ser suprimidas';
 $lang['Delete selected photos'] = 'Suprimir las fotos';
 $lang['%d photo was deleted'] = '%d foto ha sido suprimida';
Index: /branches/2.1/language/fr_FR/admin.lang.php
===================================================================
--- /branches/2.1/language/fr_FR/admin.lang.php	(revision 6288)
+++ /branches/2.1/language/fr_FR/admin.lang.php	(revision 6289)
@@ -618,5 +618,5 @@
 $lang['Quick Local Synchronization'] = "Synchronisation Rapide";
 $lang['No photo can be deleted'] = "Aucune photo ne peut être supprimée";
-$lang['Note: Only deletes photos added with pLoader'] = "Note : seules les photos ajoutées via pLoader peuvent être supprimées";
+$lang['Note: Only deletes photos added with API'] = "Note : Cette suppression des photos ne s'applique pas pour les photos ajoutées à l'aide de la synchronisation (méthode classique par chargement FTP). Pour ces photos, supprimez-les de votre serveur et refaites une synchronisation.";
 $lang['Delete selected photos'] = "Supprimer les photos sélectionnées";
 $lang['%d photo was deleted'] = "%d photo a été supprimée";
Index: /branches/2.1/language/hr_HR/admin.lang.php
===================================================================
--- /branches/2.1/language/hr_HR/admin.lang.php	(revision 6288)
+++ /branches/2.1/language/hr_HR/admin.lang.php	(revision 6289)
@@ -610,5 +610,4 @@
 $lang['Quick Local Synchronization'] = 'Brzo Mjesno Usklađivanje';
 $lang['No photo can be deleted'] = 'Nema slike koja se može brisati';
-$lang['Note: Only deletes photos added with pLoader'] = 'Obavjest: Briše samo slike dodane sa pLoader-om';
 $lang['Delete selected photos'] = 'Briši odabrane slike';
 $lang['%d photo was deleted'] = '%d slika je izbrisana';
Index: /branches/2.1/language/hu_HU/admin.lang.php
===================================================================
--- /branches/2.1/language/hu_HU/admin.lang.php	(revision 6288)
+++ /branches/2.1/language/hu_HU/admin.lang.php	(revision 6289)
@@ -613,5 +613,4 @@
 $lang['Quick Local Synchronization'] = 'Helyi szinkronizálás';
 $lang['No photo can be deleted'] = 'Nincs törölhető kép';
-$lang['Note: Only deletes photos added with pLoader'] = 'Figyelem: Csak pLoader képet lehet eltávolítani';
 $lang['Delete selected photos'] = 'Kijelölt képek törlése';
 $lang['%d photo was deleted'] = '%d kép törölve';
Index: /branches/2.1/language/it_IT/admin.lang.php
===================================================================
--- /branches/2.1/language/it_IT/admin.lang.php	(revision 6288)
+++ /branches/2.1/language/it_IT/admin.lang.php	(revision 6289)
@@ -617,5 +617,4 @@
 $lang['Quick Local Synchronization'] = 'Sincronizzazione rapida';
 $lang['No photo can be deleted'] = 'Nessuna foto può essere eliminata';
-$lang['Note: Only deletes photos added with pLoader'] = 'Nota: solo le foto agiunte con pLoader possono essere rimosse';
 $lang['Delete selected photos'] = 'Sopprimere le foto';
 $lang['%d photo was deleted'] = '%d foto cancellata';
Index: /branches/2.1/language/ja_JP/admin.lang.php
===================================================================
--- /branches/2.1/language/ja_JP/admin.lang.php	(revision 6288)
+++ /branches/2.1/language/ja_JP/admin.lang.php	(revision 6289)
@@ -615,5 +615,4 @@
 $lang['Quick Local Synchronization'] = 'クイックローカル同期';
 $lang['No photo can be deleted'] = '写真は削除されませんでした。';
-$lang['Note: Only deletes photos added with pLoader'] = '注意: pLoaderに追加された写真のみ削除します。';
 $lang['Delete selected photos'] = '選択した写真を削除する';
 $lang['%d photo was deleted'] = '%d 写真が削除されました。';
Index: /branches/2.1/language/nl_NL/admin.lang.php
===================================================================
--- /branches/2.1/language/nl_NL/admin.lang.php	(revision 6288)
+++ /branches/2.1/language/nl_NL/admin.lang.php	(revision 6289)
@@ -606,5 +606,4 @@
 $lang['Quick Local Synchronization'] = 'Snelle lokale Synchronisatie';
 $lang['No photo can be deleted'] = 'Geen enkele foto kan verwijderd worden';
-$lang['Note: Only deletes photos added with pLoader'] = 'Noot: Alleen foto\'s die met pLoader geplaatst zijn kunnen verwijderd worden';
 $lang['Delete selected photos'] = 'Verwijder geselecteerde foto\'s';
 $lang['%d photo was deleted'] = '%d foto is verwijderd';
Index: /branches/2.1/language/pl_PL/admin.lang.php
===================================================================
--- /branches/2.1/language/pl_PL/admin.lang.php	(revision 6288)
+++ /branches/2.1/language/pl_PL/admin.lang.php	(revision 6289)
@@ -615,5 +615,4 @@
 $lang['Quick Local Synchronization'] = 'Szybka synchronizacja lokalna';
 $lang['No photo can be deleted'] = 'Żadne zdjęcie nie zostało usunięte';
-$lang['Note: Only deletes photos added with pLoader'] = 'Info: Usuwa tylko zdjęcia dodane przez pLoader';
 $lang['Delete selected photos'] = 'Usuń zaznaczone zdjęcie';
 $lang['%d photo was deleted'] = '%d zdjęcie zostało usunięte';
Index: /branches/2.1/language/pt_BR/admin.lang.php
===================================================================
--- /branches/2.1/language/pt_BR/admin.lang.php	(revision 6288)
+++ /branches/2.1/language/pt_BR/admin.lang.php	(revision 6289)
@@ -615,5 +615,4 @@
 $lang['Quick Local Synchronization'] = 'Sincronização Local Rápida';
 $lang['No photo can be deleted'] = 'Nenhuma foto pode ser apagada';
-$lang['Note: Only deletes photos added with pLoader'] = 'Note: O sistema apenas apaga as fotos que foram adicionadas com o pLoader';
 $lang['Delete selected photos'] = 'Apagar as fotos selecionadas';
 $lang['%d photo was deleted'] = '%d foto foi apagada';
Index: /branches/2.1/language/pt_PT/admin.lang.php
===================================================================
--- /branches/2.1/language/pt_PT/admin.lang.php	(revision 6288)
+++ /branches/2.1/language/pt_PT/admin.lang.php	(revision 6289)
@@ -614,5 +614,4 @@
 $lang['Quick Local Synchronization'] = 'Sincronização Local Rápida';
 $lang['No photo can be deleted'] = 'Nenhuma foto pode ser apagada';
-$lang['Note: Only deletes photos added with pLoader'] = 'Note: O sistema apenas apaga as fotos que foram adicionadas com o pLoader';
 $lang['Delete selected photos'] = 'Apagar as fotos selecionadas';
 $lang['%d photo was deleted'] = '%d foto foi apagada';
Index: /branches/2.1/language/ru_RU/admin.lang.php
===================================================================
--- /branches/2.1/language/ru_RU/admin.lang.php	(revision 6288)
+++ /branches/2.1/language/ru_RU/admin.lang.php	(revision 6289)
@@ -613,5 +613,4 @@
 $lang['Quick Local Synchronization'] = 'Быстрая синхронизация';
 $lang['No photo can be deleted'] = 'Нет фото для удаления';
-$lang['Note: Only deletes photos added with pLoader'] = 'Заметьте: Удаление только фото добавленных с помощью pLoader';
 $lang['Delete selected photos'] = 'Удалить выбранные фото';
 $lang['%d photo was deleted'] = '%d фото удалено';
Index: /branches/2.1/language/sr_RS/admin.lang.php
===================================================================
--- /branches/2.1/language/sr_RS/admin.lang.php	(revision 6288)
+++ /branches/2.1/language/sr_RS/admin.lang.php	(revision 6289)
@@ -615,5 +615,4 @@
 $lang['Quick Local Synchronization'] = 'Brza Lokalna Sinhronizacija';
 $lang['No photo can be deleted'] = 'Nema slike koja se može brisati';
-$lang['Note: Only deletes photos added with pLoader'] = 'Obaveštenje: Briše samo slike dodate sa pLoader-om';
 $lang['Delete selected photos'] = 'Briši odabrane slike';
 $lang['%d photo was deleted'] = '%d slika je izbrisana';
Index: /branches/2.1/language/templates/admin.lang.php
===================================================================
--- /branches/2.1/language/templates/admin.lang.php	(revision 6288)
+++ /branches/2.1/language/templates/admin.lang.php	(revision 6289)
@@ -637,5 +637,4 @@
 $lang['Quick Local Synchronization'] = 'Quick Local Synchronization';
 $lang['No photo can be deleted'] = 'No photo can be deleted';
-$lang['Note: Only deletes photos added with pLoader'] = 'Note: Only deletes photos added with pLoader';
 $lang['Delete selected photos'] = 'Delete selected photos';
 $lang['%d photo was deleted'] = '%d photo was deleted';
Index: /branches/2.1/language/vi_VN/admin.lang.php
===================================================================
--- /branches/2.1/language/vi_VN/admin.lang.php	(revision 6288)
+++ /branches/2.1/language/vi_VN/admin.lang.php	(revision 6289)
@@ -615,5 +615,4 @@
 $lang['Quick Local Synchronization'] = 'Đồng bộ hóa cục bộ nhanh';
 $lang['No photo can be deleted'] = 'Không có hình nào có thể bị xóa';
-$lang['Note: Only deletes photos added with pLoader'] = 'Chú ý: Chỉ xóa những hình mà được thêm vào bằng pLoader';
 $lang['Delete selected photos'] = 'Xóa các hình được chọn';
 $lang['%d photo was deleted'] = '%d hình đã được xóa';
Index: /branches/2.1/language/zh_CN/admin.lang.php
===================================================================
--- /branches/2.1/language/zh_CN/admin.lang.php	(revision 6288)
+++ /branches/2.1/language/zh_CN/admin.lang.php	(revision 6289)
@@ -614,5 +614,4 @@
 $lang['Quick Local Synchronization'] = '快速同步';
 $lang['No photo can be deleted'] = '没有图片可以删除';
-$lang['Note: Only deletes photos added with pLoader'] = '注意: 只有通过pLoader上传的图片才能被删除';
 $lang['Delete selected photos'] = '删除图片';
 $lang['%d photo was deleted'] = '%d 图片被删除';