Index: /extensions/Register_FluxBB/trunk/admin/template/register_fluxbb.css
===================================================================
--- /extensions/Register_FluxBB/trunk/admin/template/register_fluxbb.css	(revision 6293)
+++ /extensions/Register_FluxBB/trunk/admin/template/register_fluxbb.css	(revision 6294)
@@ -32,2 +32,17 @@
   background-color:#c2f5c2;
 }
+
+.mod{
+  margin: 5px;
+  padding: 50px 50px 10px 10px;
+  font-weight:bold;
+  background-repeat: no-repeat;
+  background-position: 5px 5px;
+  padding: 5px 60px 0pt 60px;
+  min-height: 20px;
+}
+
+.mod {
+  color: #f22;
+  background-color: #ffd5dc;
+}
Index: /extensions/Register_FluxBB/trunk/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/Register_FluxBB/trunk/language/de_DE/plugin.lang.php	(revision 6293)
+++ /extensions/Register_FluxBB/trunk/language/de_DE/plugin.lang.php	(revision 6294)
@@ -32,13 +32,4 @@
 $lang['Confirm_true'] = ' --&gt; Bestätigung unterdrücken';
 $lang['Confirm_false'] = ' --&gt; Bestätigung erforderlich bevor Aktionen im Audit durchgeführt werden';
-$lang['No_Reg_advise'] = '<b>Über die Registrierung von Benutzern im FluxBB Forum</b><br><br>
-  Um die Registrierung für Ihre Benutzer möglichst einfach zu gestalten, empfehle ich Ihnen zwei Änderungen vorzunehmen:<br>
-  <b>* Deaktivieren Sie die Option "Neuanmeldungen erlauben" auf der FluxBB-Administrationsseite (unter: Einstellungen - Registrierung)</b><br><br>
-  <b>* Ändern Sie die Datei</b> : [FluxBBRoot]/lang/German/register.php und ersetzen Sie die folgende Zeile :
-  <div class="info">\'No new regs\'				=>	\'Dieses Forum akzeptiert momentan keine neuen Mitglieder.\'</div>
-  <b>mit :</b>
-  <div class="info">\'No new regs\'				=>	\'&lt;a href=&quot;http://[YourPiwigoRoot]/register.php&quot; &gt; Registrieren Sie sich bitte hier &lt;/a&gt;&lt;br/&gt;&lt;br/&gt;\'</div>
-  <br>
-  Selbstverständlich sollten Sie diese Änderung für alle installierten Sprachen Ihres FluxBB Forums vornehmen.<br>';
 
 $lang['save_config'] ='Einstellungen gespeichert';
@@ -122,3 +113,29 @@
 $lang['Mig_End'] = '<b>Migration abgeschlossen !</b>';
 $lang['Title_Tab'] = 'Register_FluxBB - Version: ';
+
+// --------- Starting below: New or revised $lang ---- from version 2.2.2
+$lang['No_Reg_advise'] = '<b>Über die Registrierung von Benutzern im FluxBB Forum</b><br><br>
+  Für eine bessere Integration, ist es ratsam, die folgenden drei Änderungen an Ihrem FluxBB Forum (<b>Warnung: Nehmen Sie diese Änderungen werden verschwinden, wenn Update-Forum</b>):<br>
+  <b>* Deaktivieren Sie die Option "Neuanmeldungen erlauben" auf der FluxBB-Administrationsseite (unter: Einstellungen - Registrierung)</b>
+<br>
+<br>
+  <b>* Ändern Sie die Datei</b> : [FluxBBRoot]/lang/German/register.php und ersetzen Sie die folgende Zeile:
+  <div class="mod">\'No new regs\'				=>	\'Dieses Forum akzeptiert momentan keine neuen Mitglieder.\'</div>
+  <b>mit :</b>
+  <div class="info">\'No new regs\'				=>	\'&lt;a href=&quot;http://[YourPiwigoRoot]/register.php&quot; &gt; Registrieren Sie sich bitte hier &lt;/a&gt;&lt;br/&gt;&lt;br/&gt;\'</div>
+  <br>
+  Selbstverständlich sollten Sie diese Änderung für alle installierten Sprachen Ihres FluxBB Forums vornehmen.
+<br>
+<br>
+  <b>* Modifier le fichier</b> : [RacineDeFluxBB]/login.php und ersetzen Sie die Zeile 69:
+  <div class="mod">message($lang_login[\'Wrong user/pass\'].\'&lt;a href=&quot;login.php?action=forget&quot;&gt;</div>
+  <b>mit :</b>
+  <div class="info">message($lang_login[\'Wrong user/pass\'].\'&lt;a href=&quot;../[VotreRacineDePiwigo]/identification.php&quot;&gt;</div>
+<br>
+  Und am Zeile 216:
+  <div class="mod">&lt;a href=&quot;login.php?action=forget&quot; tabindex=&quot;5&quot;><?php echo $lang_login[\'Forgotten pass\']</a></p></div>
+  <b>mit :</b>
+  <div class="info">&lt;a href=&quot;../[VotreRacineDePiwigo]/identification.php&quot; tabindex=&quot;5&quot;><?php echo $lang_login[\'Forgotten pass\']</a></p></div>
+  <br>';
+// --------- End: New or revised $lang ---- from version 2.2.2
 ?>
Index: /extensions/Register_FluxBB/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Register_FluxBB/trunk/language/en_UK/plugin.lang.php	(revision 6293)
+++ /extensions/Register_FluxBB/trunk/language/en_UK/plugin.lang.php	(revision 6294)
@@ -32,13 +32,4 @@
 $lang['Confirm_true'] = ' --&gt; Delete confirmation';
 $lang['Confirm_false'] = ' --&gt; Confirmation mandatory before actions in audit';
-$lang['No_Reg_advise'] = '<b>About the registration of users on the forum FluxBB</b><br><br>
-  For easiest way for your users, I advise you to change 2 things:<br>
-  <b>* In FluxBB\'s administration panel, change "Allow new registrations" to NO (in: Options - Registration)</b><br><br>
-  <b>* Modify the file</b> : [FluxBBRoot]/lang/English/register.php by replacing the following line :
-  <div class="info">\'No new regs\'				=>	\'This forum is not accepting new users.\'</div>
-  <b>with :</b>
-  <div class="info">\'No new regs\'				=>	\'&lt;a href=&quot;http://[YourPiwigoRoot]/register.php&quot; &gt; Go here to register &lt;/a&gt;&lt;br/&gt;&lt;br/&gt;\'</div>
-  <br>
-  Of course you should also make the same change for other languages of your FluxBB forum.<br>';
 
 $lang['save_config'] ='Settings saved';
@@ -122,3 +113,29 @@
 $lang['Mig_End'] = '<b>Migration done !</b>';
 $lang['Title_Tab'] = 'Register_FluxBB - Version: ';
+
+// --------- Starting below: New or revised $lang ---- from version 2.2.2
+$lang['No_Reg_advise'] = '<b>About the registration of users on the forum FluxBB</b><br><br>
+  For better integration, it is advisable to make the following 3 changes to your FluxBB forum (<b>Warning: These changes will disappear when updating the forum</b>):<br>
+  <b>* In FluxBB\'s administration panel, change "Allow new registrations" to NO (in: Options - Registration)</b>
+<br>
+<br>
+  <b>* Modify the file</b> : [FluxBBRoot]/lang/English/register.php by replacing the following line:
+  <div class="mod">\'No new regs\'				=>	\'This forum is not accepting new users.\'</div>
+  <b>with :</b>
+  <div class="info">\'No new regs\'				=>	\'&lt;a href=&quot;http://[YourPiwigoRoot]/register.php&quot; &gt; Go here to register &lt;/a&gt;&lt;br/&gt;&lt;br/&gt;\'</div>
+  <br>
+  Of course you should also make the same change for other languages of your FluxBB forum.
+<br>
+<br>
+  <b>* Modify the file</b> : [FluxBBRoot]/login.php by replacing the line 69:
+  <div class="mod">message($lang_login[\'Wrong user/pass\'].\'&lt;a href=&quot;login.php?action=forget&quot;&gt;</div>
+  <b>with :</b>
+  <div class="info">message($lang_login[\'Wrong user/pass\'].\'&lt;a href=&quot;../[VotreRacineDePiwigo]/identification.php&quot;&gt;</div>
+<br>
+  and at line 216:
+  <div class="mod">&lt;a href=&quot;login.php?action=forget&quot; tabindex=&quot;5&quot;><?php echo $lang_login[\'Forgotten pass\']</a></p></div>
+  <b>with :</b>
+  <div class="info">&lt;a href=&quot;../[VotreRacineDePiwigo]/identification.php&quot; tabindex=&quot;5&quot;><?php echo $lang_login[\'Forgotten pass\']</a></p></div>
+  <br>';
+// --------- End: New or revised $lang ---- from version 2.2.2
 ?>
Index: /extensions/Register_FluxBB/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Register_FluxBB/trunk/language/fr_FR/plugin.lang.php	(revision 6293)
+++ /extensions/Register_FluxBB/trunk/language/fr_FR/plugin.lang.php	(revision 6294)
@@ -32,13 +32,4 @@
 $lang['Confirm_true'] = ' --&gt; Supprime les confirmations';
 $lang['Confirm_false'] = ' --&gt; Confirmation obligatoire avant action dans l\'audit';
-$lang['No_Reg_advise'] = '<b>A propos de l\'enregistrement d\'utilisateur sur le forum FluxBB</b><br><br>
-  Pour plus de facilité pour vos utilisateurs, je vous conseille de modifier 2 choses:<br>
-  <b>* modifier dans l\'interface d\'administration de FluxBB "Autoriser les nouvelles inscriptions" à NON ( dans : Options - Inscriptions )</b><br><br>
-  <b>* modifier le fichier</b> : [RacineDeFluxBB]/lang/French/register.php en remplacant la ligne suivante:
-  <div class="info">\'No new regs\'				=>	\'Ce forum n\\\'accepte pas de nouveaux utilisateurs.\'</div>
-  <b>par :</b>
-  <div class="info">\'No new regs\'				=>	\'&lt;a href=&quot;http://[VotreRacineDePiwigo]/register.php&quot; &gt; Cliquez ici pour vous inscrire &lt;/a&gt;&lt;br/&gt;&lt;br/&gt;\'</div>
-  <br>
-  Bien sur vous devez aussi faire le même changement pour les autres langues de votre forum FluxBB.<br>';
 
 $lang['save_config'] ='Configuration enregistrée.';
@@ -122,3 +113,30 @@
 $lang['Mig_End'] = '<b>Migration finie !</b>';
 $lang['Title_Tab'] = 'Register_FluxBB - Version: ';
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.2.2
+$lang['No_Reg_advise'] = '<b>A propos de l\'enregistrement d\'utilisateur sur le forum FluxBB</b><br><br>
+  Pour une meilleur intégration, il est conseille d\'apporter les 3 modifications suivantes à votre forum FluxBB (<b>Attention! Ces modifications disparaitront en cas de mise à jour du forum</b>):<br>
+  <b>* Modifier dans l\'interface d\'administration de FluxBB "Autoriser les nouvelles inscriptions" à NON ( dans : Options - Inscriptions )</b>
+<br>
+<br>
+  <b>* Modifier le fichier</b> : [RacineDeFluxBB]/lang/French/register.php en remplacant la ligne suivante:
+  <div class="mod">\'No new regs\'				=>	\'Ce forum n\\\'accepte pas de nouveaux utilisateurs.\'</div>
+  <b>par :</b>
+  <div class="info">\'No new regs\'				=>	\'&lt;a href=&quot;http://[VotreRacineDePiwigo]/register.php&quot; &gt; Cliquez ici pour vous inscrire &lt;/a&gt;&lt;br/&gt;&lt;br/&gt;\'</div>
+  <br>
+  Et reporter cette modification pour toutes les langues gérées sur votre forum.
+<br>
+<br>
+  <b>* Modifier le fichier</b> : [RacineDeFluxBB]/login.php en remplacant à la ligne 69:
+  <div class="mod">message($lang_login[\'Wrong user/pass\'].\'&lt;a href=&quot;login.php?action=forget&quot;&gt;</div>
+  <b>par :</b>
+  <div class="info">message($lang_login[\'Wrong user/pass\'].\'&lt;a href=&quot;../[VotreRacineDePiwigo]/identification.php&quot;&gt;</div>
+<br>
+  à la ligne 216:
+  <div class="mod">&lt;a href=&quot;login.php?action=forget&quot; tabindex=&quot;5&quot;><?php echo $lang_login[\'Forgotten pass\']</a></p></div>
+  <b>par :</b>
+  <div class="info">&lt;a href=&quot;../[VotreRacineDePiwigo]/identification.php&quot; tabindex=&quot;5&quot;><?php echo $lang_login[\'Forgotten pass\']</a></p></div>
+  <br>';
+// --------- End: New or revised $lang ---- from version 2.2.2
 ?>
Index: /extensions/Register_FluxBB/trunk/main.inc.php
===================================================================
--- /extensions/Register_FluxBB/trunk/main.inc.php	(revision 6293)
+++ /extensions/Register_FluxBB/trunk/main.inc.php	(revision 6294)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Register FluxBB
-Version: 2.2.1
+Version: 2.2.2
 Description: Link user registration from Piwigo to FluxBB forum (registration, password changing, deletion) - Original Nicco's NBC_LinkUser2PunBB plugin upgraded to Piwigo / Liez l'inscription des utilisateurs de Piwigo avec votre forum FluxBB - Portage du plugin NBC_LinkUser2PunBB de Nicco vers Piwigo
 Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=252
@@ -46,4 +46,7 @@
 
 2.2.1     - 04/04/10  - Bug 1577 fixed : Multiple database support
+
+2.2.2     - 23/05/10  - Bug 1674 fixed : Adding of mods for Fluxbb when users loose their password
+                      - Adding of German language (Thx to duke)
 
 --------------------------------------------------------------------------------