Index: extensions/Register_FluxBB/branches/2.2/admin/admin.php
===================================================================
--- extensions/Register_FluxBB/branches/2.2/admin/admin.php	(revision 5658)
+++ extensions/Register_FluxBB/branches/2.2/admin/admin.php	(revision 6295)
@@ -82,5 +82,5 @@
   $result = pwg_query($query);
   
-  while($row = mysql_fetch_array($result))
+  while($row = pwg_db_fetch_assoc($result))
     $msg_error_PWG_Dup .= '<br>'.l10n('Error_PWG_Dup').$row['nbr_dup'].' x '.stripslashes($row['username']);
 
@@ -100,5 +100,5 @@
   $result = pwg_query($query);
   
-  while($row = mysql_fetch_array($result))
+  while($row = pwg_db_fetch_assoc($result))
   {
     $msg_error_FluxBB_Dup .= '<br>'.l10n('Error_FluxBB_Dup').$row['nbr_dup'].' x '.stripslashes($row['username']);
@@ -111,5 +111,5 @@
     $subresult = pwg_query($subquery);
   
-    while($subrow = mysql_fetch_array($subresult))
+    while($subrow = pwg_db_fetch_assoc($subresult))
     {
       $msg_error_FluxBB_Dup .= '<br>id:'.$subrow['id'].'='.stripslashes($subrow['username']).' ('.$subrow['email'].')';
@@ -157,5 +157,5 @@
   $result = pwg_query($query);
   
-  while($row = mysql_fetch_array($result))
+  while($row = pwg_db_fetch_assoc($result))
   {
     $msg_error_Link_Break .= '<br>'.l10n('Error_Link_Break').stripslashes($row['pwg_user']).' ('.$row['pwg_mail'].')';
@@ -196,5 +196,5 @@
   $result = pwg_query($query);
   
-  while($row = mysql_fetch_array($result))
+  while($row = pwg_db_fetch_assoc($result))
   {
     $msg_error_Link_Bad .= '<br>'.l10n('Error_Link_Del').stripslashes($row['pwg_user']).' ('.$row['pwg_mail'].')'.' -- '.stripslashes($row['bb_user']).' ('.$row['bb_mail'].')';
@@ -245,5 +245,5 @@
 ;";
 
-  $Compteur = mysql_fetch_array(pwg_query($query));
+  $Compteur = pwg_db_fetch_assoc(pwg_query($query));
 
   if (!empty($Compteur) and $Compteur['nbr_dead'] > 0)
@@ -278,5 +278,5 @@
   $result = pwg_query($query);
   
-  while($row = mysql_fetch_array($result))
+  while($row = pwg_db_fetch_assoc($result))
   {
     $msg_error_Link_Bad .= '<br>'.l10n('Error_Link_Dup').$row['nbr_dup'].' = '.stripslashes($row['pwg_user']).' -- '.stripslashes($row['bb_user']).')';
@@ -318,5 +318,5 @@
   $result = pwg_query($query);
   
-  while($row = mysql_fetch_array($result))
+  while($row = pwg_db_fetch_assoc($result))
   {
     if ( ($row['pwg_pwd'] != $row['bb_pwd']) or ($row['pwg_eml'] != $row['bb_eml']) )
@@ -373,5 +373,5 @@
   $result = pwg_query($query);
 
-  while($row = mysql_fetch_array($result))
+  while($row = pwg_db_fetch_assoc($result))
   {
     $msg_error_PWG2FluxBB .= '<br>'.l10n('Error_PWG2FluxBB').stripslashes($row['username']).' ('.$row['mail_address'].')';
@@ -415,5 +415,5 @@
   $result = pwg_query($query);
 
-  while($row = mysql_fetch_array($result))
+  while($row = pwg_db_fetch_assoc($result))
   {
     $msg_error_FluxBB2PWG .= '<br>'.l10n('Error_FluxBB2PWG').stripslashes($row['username']).' ('.$row['email'].')';
@@ -513,9 +513,9 @@
 SELECT id AS id_pwg, username, password, mail_address 
 FROM ".USERS_TABLE."
-WHERE BINARY username = BINARY '".mysql_real_escape_string($_GET['username'])."'
+WHERE BINARY username = BINARY '".pwg_db_real_escape_string($_GET['username'])."'
 LIMIT 1
 ;";
 
-  $data = mysql_fetch_array(pwg_query($query));
+  $data = pwg_db_fetch_assoc(pwg_query($query));
   
   if (!empty($data))
@@ -531,9 +531,9 @@
 SELECT id, username, password, mail_address 
 FROM ".USERS_TABLE."
-WHERE BINARY username = BINARY '".mysql_real_escape_string($_GET['username'])."'
+WHERE BINARY username = BINARY '".pwg_db_real_escape_string($_GET['username'])."'
 LIMIT 1
 ;";
 
-  $data = mysql_fetch_array(pwg_query($query));
+  $data = pwg_db_fetch_assoc(pwg_query($query));
   
   if (!empty($data))
@@ -633,5 +633,5 @@
     $result = pwg_query($query);
   
-    while ($row = mysql_fetch_array($result))
+    while ($row = pwg_db_fetch_assoc($result))
     {
       if((stripslashes($row['username']) != stripslashes($conf_Register_FluxBB[2])) and (stripslashes($row['username']) != stripslashes($conf_Register_FluxBB[1])))
@@ -658,5 +658,5 @@
     $msg_Mig_Add_AllUsers = '';
   
-    while ($row = mysql_fetch_array($result))
+    while ($row = pwg_db_fetch_assoc($result))
     {
       if((stripslashes($row['username']) != 'guest') and (stripslashes($row['username']) != stripslashes($conf_Register_FluxBB[1])))
@@ -677,5 +677,5 @@
 ;";
 
-    $row = mysql_fetch_array(pwg_query($query));
+    $row = pwg_db_fetch_assoc(pwg_query($query));
 
     if (!empty($row))
@@ -736,5 +736,5 @@
     $result = pwg_query($query);
   
-    while($row = mysql_fetch_array($result))
+    while($row = pwg_db_fetch_assoc($result))
       $msg_error_PWG_Dup .= '<br>'.l10n('Error_PWG_Dup').$row['nbr_dup'].' x '.stripslashes($row['username']);
 
@@ -752,5 +752,5 @@
     $result = pwg_query($query);
   
-    while($row = mysql_fetch_array($result))
+    while($row = pwg_db_fetch_assoc($result))
     {
       $msg_error_FluxBB_Dup .= '<br>'.l10n('Error_FluxBB_Dup').$row['nbr_dup'].' x '.stripslashes($row['username']);
@@ -764,5 +764,5 @@
       $subresult = pwg_query($subquery);
   
-      while($subrow = mysql_fetch_array($subresult))
+      while($subrow = pwg_db_fetch_assoc($subresult))
       {
         $msg_error_FluxBB_Dup .= '<br>id:'.$subrow['id'].'='.stripslashes($subrow['username']).' ('.$subrow['email'].')';
@@ -809,5 +809,5 @@
       $result = pwg_query($query);
     
-      while($row = mysql_fetch_array($result))
+      while($row = pwg_db_fetch_assoc($result))
       {
         $msg_error_Link_Break .= '<br>'.l10n('New_Link').stripslashes($row['pwg_user']).' ('.$row['pwg_mail'].')';
@@ -832,5 +832,5 @@
       $result = pwg_query($query);
     
-      while($row = mysql_fetch_array($result))
+      while($row = pwg_db_fetch_assoc($result))
       {
         $msg_error_Link_Bad .= '<br>'.l10n('Link_Del').stripslashes($row['pwg_user']).' ('.$row['pwg_mail'].')'.' -- '.stripslashes($row['bb_user']).' ('.$row['bb_mail'].')';
@@ -859,5 +859,5 @@
 ;";
 
-      $Compteur = mysql_fetch_array(pwg_query($query));
+      $Compteur = pwg_db_fetch_assoc(pwg_query($query));
     
       if ( !empty($Compteur) and $Compteur['nbr_dead'] > 0)
@@ -892,5 +892,5 @@
       $result = pwg_query($query);
     
-      while($row = mysql_fetch_array($result))
+      while($row = pwg_db_fetch_assoc($result))
       {
         $msg_error_Link_Bad .= '<br>'.l10n('Link_Dup').$row['nbr_dup'].' = '.stripslashes($row['pwg_user']).' -- '.stripslashes($row['bb_user']).')';
@@ -916,5 +916,5 @@
       $result = pwg_query($query);
     
-      while($row = mysql_fetch_array($result))
+      while($row = pwg_db_fetch_assoc($result))
       {
         if ( ($row['pwg_pwd'] != $row['bb_pwd']) or ($row['pwg_eml'] != $row['bb_eml']) )
@@ -928,5 +928,5 @@
 ;";
 
-          $data = mysql_fetch_array(pwg_query($query));
+          $data = pwg_db_fetch_assoc(pwg_query($query));
         
           if (!empty($data))
@@ -955,5 +955,5 @@
       $result = pwg_query($query);
   
-      while($row = mysql_fetch_array($result))
+      while($row = pwg_db_fetch_assoc($result))
       {
         $msg_error_PWG2FluxBB .= '<br>'.l10n('Add_User').stripslashes($row['username']).' ('.$row['mail_address'].')';
@@ -966,5 +966,5 @@
 ;";
 
-        $data = mysql_fetch_array(pwg_query($query));
+        $data = pwg_db_fetch_assoc(pwg_query($query));
       
         if (!empty($data))
@@ -992,5 +992,5 @@
       $result = pwg_query($query);
   
-      while($row = mysql_fetch_array($result))
+      while($row = pwg_db_fetch_assoc($result))
       {
         $msg_error_FluxBB2PWG .= '<br>'.l10n('Error_FluxBB2PWG').stripslashes($row['username']).' ('.$row['email'].')';
Index: extensions/Register_FluxBB/branches/2.2/admin/template/register_fluxbb.css
===================================================================
--- extensions/Register_FluxBB/branches/2.2/admin/template/register_fluxbb.css	(revision 5658)
+++ extensions/Register_FluxBB/branches/2.2/admin/template/register_fluxbb.css	(revision 6295)
@@ -32,2 +32,17 @@
   background-color:#c2f5c2;
 }
+
+.mod{
+  margin: 5px;
+  padding: 50px 50px 10px 10px;
+  font-weight:bold;
+  background-repeat: no-repeat;
+  background-position: 5px 5px;
+  padding: 5px 60px 0pt 60px;
+  min-height: 20px;
+}
+
+.mod {
+  color: #f22;
+  background-color: #ffd5dc;
+}
Index: extensions/Register_FluxBB/branches/2.2/include/functions.inc.php
===================================================================
--- extensions/Register_FluxBB/branches/2.2/include/functions.inc.php	(revision 5658)
+++ extensions/Register_FluxBB/branches/2.2/include/functions.inc.php	(revision 6295)
@@ -14,5 +14,5 @@
 ;";
   
-  $data = mysql_fetch_array(pwg_query($query));
+  $data = pwg_db_fetch_row(pwg_query($query));
   
   if (!empty($data))
@@ -65,5 +65,5 @@
 ;";
 
-  $o_default_user_group = mysql_fetch_array(pwg_query($query));
+  $o_default_user_group = pwg_db_fetch_assoc(pwg_query($query));
   
   $query = "
@@ -73,5 +73,5 @@
 ;";
 
-  $o_server_timezone = mysql_fetch_array(pwg_query($query));
+  $o_server_timezone = pwg_db_fetch_assoc(pwg_query($query));
   
   $query = "
@@ -81,5 +81,5 @@
 ;";
 
-  $o_default_lang = mysql_fetch_array(pwg_query($query));
+  $o_default_lang = pwg_db_fetch_assoc(pwg_query($query));
   
   $query = "
@@ -89,5 +89,5 @@
 ;";
 
-  $o_default_style = mysql_fetch_array(pwg_query($query));
+  $o_default_style = pwg_db_fetch_assoc(pwg_query($query));
   
   $query = '
@@ -105,5 +105,5 @@
   )
 VALUES(
-  '".mysql_real_escape_string($login)."',
+  '".pwg_db_real_escape_string($login)."',
   ". ( isset($o_default_user_group['conf_value']) ? "'".$o_default_user_group['conf_value']."'" : '' ) .",
   '".$password."', 
@@ -120,5 +120,5 @@
   $result = pwg_query($query);
 
-  $bb_id = mysql_insert_id();
+  $bb_id = pwg_db_insert_id();
   
   FluxBB_Linkuser($pwg_id, $bb_id);
@@ -135,5 +135,5 @@
 ;";
 
-  $data = mysql_fetch_array(pwg_query($query));
+  $data = pwg_db_fetch_assoc(pwg_query($query));
   
   if (!empty($data))
@@ -157,5 +157,5 @@
 ;";
 
-  $data0 = mysql_fetch_array(pwg_query($query0));
+  $data0 = pwg_db_fetch_assoc(pwg_query($query0));
 
   // Si égale à VRAI, suppression de tous les posts et topics
@@ -173,5 +173,5 @@
     $subquery = "
 DELETE FROM ".FluxBB_TOPICS_TABLE."
-WHERE BINARY poster = BINARY '".mysql_real_escape_string($data0['username'])."'
+WHERE BINARY poster = BINARY '".pwg_db_real_escape_string($data0['username'])."'
 ;";
 
@@ -210,5 +210,5 @@
 ;";
 
-  $row = mysql_fetch_array(pwg_query($query));
+  $row = pwg_db_fetch_assoc(pwg_query($query));
 
   if (!empty($row))
@@ -216,5 +216,5 @@
     $query = "
 UPDATE ".FluxBB_USERS_TABLE."
-SET username = '".mysql_real_escape_string($username)."', email = '".$adresse_mail."', password = '".$password."' 
+SET username = '".pwg_db_real_escape_string($username)."', email = '".$adresse_mail."', password = '".$password."' 
 WHERE id = ".$row['FluxBB_id']."
 ;";
@@ -229,8 +229,8 @@
 SELECT id as FluxBB_id
 FROM ".FluxBB_USERS_TABLE."
-WHERE BINARY username = BINARY '".mysql_real_escape_string($username)."'
-;";
-
-    $row = mysql_fetch_array(pwg_query($query));
+WHERE BINARY username = BINARY '".pwg_db_real_escape_string($username)."'
+;";
+
+    $row = pwg_db_fetch_assoc(pwg_query($query));
   
     if (!empty($row))
@@ -238,5 +238,5 @@
       $query = "
 UPDATE ".FluxBB_USERS_TABLE."
-SET username = '".mysql_real_escape_string($username)."', email = '".$adresse_mail."', password = '".$password."' 
+SET username = '".pwg_db_real_escape_string($username)."', email = '".$adresse_mail."', password = '".$password."' 
 WHERE id = ".$row['FluxBB_id']."
 ;";
Index: extensions/Register_FluxBB/branches/2.2/language/en_UK/plugin.lang.php
===================================================================
--- extensions/Register_FluxBB/branches/2.2/language/en_UK/plugin.lang.php	(revision 5658)
+++ extensions/Register_FluxBB/branches/2.2/language/en_UK/plugin.lang.php	(revision 6295)
@@ -32,13 +32,4 @@
 $lang['Confirm_true'] = ' --&gt; Delete confirmation';
 $lang['Confirm_false'] = ' --&gt; Confirmation mandatory before actions in audit';
-$lang['No_Reg_advise'] = '<b>About the registration of users on the forum FluxBB</b><br><br>
-  For easiest way for your users, I advise you to change 2 things:<br>
-  <b>* In FluxBB\'s administration panel, change "Allow new registrations" to NO (in: Options - Registration)</b><br><br>
-  <b>* Modify the file</b> : [FluxBBRoot]/lang/English/register.php by replacing the following line :
-  <div class="info">\'No new regs\'				=>	\'This forum is not accepting new users.\'</div>
-  <b>with :</b>
-  <div class="info">\'No new regs\'				=>	\'&lt;a href=&quot;http://[YourPiwigoRoot]/register.php&quot; &gt; Go here to register &lt;/a&gt;&lt;br/&gt;&lt;br/&gt;\'</div>
-  <br>
-  Of course you should also make the same change for other languages of your FluxBB forum.<br>';
 
 $lang['save_config'] ='Settings saved';
@@ -122,3 +113,29 @@
 $lang['Mig_End'] = '<b>Migration done !</b>';
 $lang['Title_Tab'] = 'Register_FluxBB - Version: ';
+
+// --------- Starting below: New or revised $lang ---- from version 2.2.2
+$lang['No_Reg_advise'] = '<b>About the registration of users on the forum FluxBB</b><br><br>
+  For better integration, it is advisable to make the following 3 changes to your FluxBB forum (<b>Warning: These changes will disappear when updating the forum</b>):<br>
+  <b>* In FluxBB\'s administration panel, change "Allow new registrations" to NO (in: Options - Registration)</b>
+<br>
+<br>
+  <b>* Modify the file</b> : [FluxBBRoot]/lang/English/register.php by replacing the following line:
+  <div class="mod">\'No new regs\'				=>	\'This forum is not accepting new users.\'</div>
+  <b>with :</b>
+  <div class="info">\'No new regs\'				=>	\'&lt;a href=&quot;http://[YourPiwigoRoot]/register.php&quot; &gt; Go here to register &lt;/a&gt;&lt;br/&gt;&lt;br/&gt;\'</div>
+  <br>
+  Of course you should also make the same change for other languages of your FluxBB forum.
+<br>
+<br>
+  <b>* Modify the file</b> : [FluxBBRoot]/login.php by replacing the line 69:
+  <div class="mod">message($lang_login[\'Wrong user/pass\'].\'&lt;a href=&quot;login.php?action=forget&quot;&gt;</div>
+  <b>with :</b>
+  <div class="info">message($lang_login[\'Wrong user/pass\'].\'&lt;a href=&quot;../[VotreRacineDePiwigo]/identification.php&quot;&gt;</div>
+<br>
+  and at line 216:
+  <div class="mod">&lt;a href=&quot;login.php?action=forget&quot; tabindex=&quot;5&quot;><?php echo $lang_login[\'Forgotten pass\']</a></p></div>
+  <b>with :</b>
+  <div class="info">&lt;a href=&quot;../[VotreRacineDePiwigo]/identification.php&quot; tabindex=&quot;5&quot;><?php echo $lang_login[\'Forgotten pass\']</a></p></div>
+  <br>';
+// --------- End: New or revised $lang ---- from version 2.2.2
 ?>
Index: extensions/Register_FluxBB/branches/2.2/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/Register_FluxBB/branches/2.2/language/fr_FR/plugin.lang.php	(revision 5658)
+++ extensions/Register_FluxBB/branches/2.2/language/fr_FR/plugin.lang.php	(revision 6295)
@@ -32,13 +32,4 @@
 $lang['Confirm_true'] = ' --&gt; Supprime les confirmations';
 $lang['Confirm_false'] = ' --&gt; Confirmation obligatoire avant action dans l\'audit';
-$lang['No_Reg_advise'] = '<b>A propos de l\'enregistrement d\'utilisateur sur le forum FluxBB</b><br><br>
-  Pour plus de facilité pour vos utilisateurs, je vous conseille de modifier 2 choses:<br>
-  <b>* modifier dans l\'interface d\'administration de FluxBB "Autoriser les nouvelles inscriptions" à NON ( dans : Options - Inscriptions )</b><br><br>
-  <b>* modifier le fichier</b> : [RacineDeFluxBB]/lang/French/register.php en remplacant la ligne suivante:
-  <div class="info">\'No new regs\'				=>	\'Ce forum n\\\'accepte pas de nouveaux utilisateurs.\'</div>
-  <b>par :</b>
-  <div class="info">\'No new regs\'				=>	\'&lt;a href=&quot;http://[VotreRacineDePiwigo]/register.php&quot; &gt; Cliquez ici pour vous inscrire &lt;/a&gt;&lt;br/&gt;&lt;br/&gt;\'</div>
-  <br>
-  Bien sur vous devez aussi faire le même changement pour les autres langues de votre forum FluxBB.<br>';
 
 $lang['save_config'] ='Configuration enregistrée.';
@@ -122,3 +113,30 @@
 $lang['Mig_End'] = '<b>Migration finie !</b>';
 $lang['Title_Tab'] = 'Register_FluxBB - Version: ';
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.2.2
+$lang['No_Reg_advise'] = '<b>A propos de l\'enregistrement d\'utilisateur sur le forum FluxBB</b><br><br>
+  Pour une meilleur intégration, il est conseille d\'apporter les 3 modifications suivantes à votre forum FluxBB (<b>Attention! Ces modifications disparaitront en cas de mise à jour du forum</b>):<br>
+  <b>* Modifier dans l\'interface d\'administration de FluxBB "Autoriser les nouvelles inscriptions" à NON ( dans : Options - Inscriptions )</b>
+<br>
+<br>
+  <b>* Modifier le fichier</b> : [RacineDeFluxBB]/lang/French/register.php en remplacant la ligne suivante:
+  <div class="mod">\'No new regs\'				=>	\'Ce forum n\\\'accepte pas de nouveaux utilisateurs.\'</div>
+  <b>par :</b>
+  <div class="info">\'No new regs\'				=>	\'&lt;a href=&quot;http://[VotreRacineDePiwigo]/register.php&quot; &gt; Cliquez ici pour vous inscrire &lt;/a&gt;&lt;br/&gt;&lt;br/&gt;\'</div>
+  <br>
+  Et reporter cette modification pour toutes les langues gérées sur votre forum.
+<br>
+<br>
+  <b>* Modifier le fichier</b> : [RacineDeFluxBB]/login.php en remplacant à la ligne 69:
+  <div class="mod">message($lang_login[\'Wrong user/pass\'].\'&lt;a href=&quot;login.php?action=forget&quot;&gt;</div>
+  <b>par :</b>
+  <div class="info">message($lang_login[\'Wrong user/pass\'].\'&lt;a href=&quot;../[VotreRacineDePiwigo]/identification.php&quot;&gt;</div>
+<br>
+  à la ligne 216:
+  <div class="mod">&lt;a href=&quot;login.php?action=forget&quot; tabindex=&quot;5&quot;><?php echo $lang_login[\'Forgotten pass\']</a></p></div>
+  <b>par :</b>
+  <div class="info">&lt;a href=&quot;../[VotreRacineDePiwigo]/identification.php&quot; tabindex=&quot;5&quot;><?php echo $lang_login[\'Forgotten pass\']</a></p></div>
+  <br>';
+// --------- End: New or revised $lang ---- from version 2.2.2
 ?>
Index: extensions/Register_FluxBB/branches/2.2/main.inc.php
===================================================================
--- extensions/Register_FluxBB/branches/2.2/main.inc.php	(revision 5658)
+++ extensions/Register_FluxBB/branches/2.2/main.inc.php	(revision 6295)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Register FluxBB
-Version: 2.2.1
+Version: 2.2.2
 Description: Link user registration from Piwigo to FluxBB forum (registration, password changing, deletion) - Original Nicco's NBC_LinkUser2PunBB plugin upgraded to Piwigo / Liez l'inscription des utilisateurs de Piwigo avec votre forum FluxBB - Portage du plugin NBC_LinkUser2PunBB de Nicco vers Piwigo
 Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=252
@@ -46,4 +46,7 @@
 
 2.2.1     - 04/04/10  - Bug 1577 fixed : Multiple database support
+
+2.2.2     - 23/05/10  - Bug 1674 fixed : Adding of mods for Fluxbb when users loose their password
+                      - Adding of German language (Thx to duke)
 
 --------------------------------------------------------------------------------
@@ -167,5 +170,5 @@
 ;';
 
-          list($current_password) = mysql_fetch_row(pwg_query($query));
+          list($current_password) = pwg_db_fetch_row(pwg_query($query));
       
           if ($conf['pass_convert']($_POST['password']) != $current_password)
@@ -186,5 +189,5 @@
 ;';
 
-        list($username) = mysql_fetch_row(pwg_query($query));
+        list($username) = pwg_db_fetch_row(pwg_query($query));
 
         FluxBB_Updateuser($user['id'], stripslashes($username), sha1($_POST['use_new_pwd']), $_POST['mail_address']);