Index: branches/2.1/language/it_IT/install.lang.php
===================================================================
--- branches/2.1/language/it_IT/install.lang.php	(revision 6328)
+++ branches/2.1/language/it_IT/install.lang.php	(revision 6329)
@@ -27,26 +27,26 @@
 $lang['Basic configuration'] = 'Configurazione di base';
 $lang['Default gallery language'] = 'Linguaggio di default della galleria';
-$lang['Database configuration'] = 'Configurazione della base dati';
+$lang['Database configuration'] = 'Configurazione database';
 $lang['Admin configuration'] = 'Configurazione dell\'utente "Amministratore"';
 $lang['Start Install'] = 'Inizia l\'installazione';
-$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'L\'indirizzo Email deve essere del tipo xxx@yyy.eee (ad esempio: cippalippa@libero.rio)';
-$lang['Webmaster login'] = 'Login dell\'amministratore';
-$lang['It will be shown to the visitors. It is necessary for website administration'] = 'Questo login verrà mostrato agli ospiti. Sarà necessario per amministrare il vostro sito';
-$lang['Connection to server succeed, but it was impossible to connect to database'] = 'Connessione al server riuscita, ma purtroppo non è stato possibile connettersi a questa base dati';
-$lang['Can\'t connect to server'] = 'Non è stato possibile connettersi al server';
-$lang['Database type'] = 'Tipo base dati';
-$lang['The type of database your piwigo data will be store in'] = 'Base dati nella quale saranno inseriti i dati di Piwigo';
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'L\'indirizzo email deve essere tipo xxx@yyy.eee (esempio: jack@altern.org)';
+$lang['Webmaster login'] = 'Nome utente webmaster';
+$lang['It will be shown to the visitors. It is necessary for website administration'] = 'Esso verrÃ  mostrato ai visitatori. E\' necessario per amministrare il vostro sito';
+$lang['Connection to server succeed, but it was impossible to connect to database'] = 'Connessione al server riuscita, ma Ã¨ impossibile connettersi al database';
+$lang['Can\'t connect to server'] = 'Impossibile connettersi al server';
+$lang['Database type'] = 'Tipo database';
+$lang['The type of database your piwigo data will be store in'] = 'Il tipo di database dove verranno inseriti i dati di Piwigo';
 $lang['Host'] = 'Host';
 $lang['localhost, sql.multimania.com, toto.freesurf.fr'] = 'localhost, sql.multimania.com, pluto.libero.it';
 $lang['User'] = 'Utente';
-$lang['user login given by your host provider'] = 'nome utente di login alla base dati fornitovi dal vostro provider';
+$lang['user login given by your host provider'] = 'login utente database fornito dal vostro provider';
 $lang['Password'] = 'Password';
-$lang['user password given by your host provider'] = 'La password d\'accesso alla base dati fornitavi dal vostro provider';
-$lang['Database name'] = 'Nome della base dati';
-$lang['also given by your host provider'] = 'fornitovi dal vostro provider';
-$lang['Database table prefix'] = 'Prefisso delle tabelle della base dati';
-$lang['database tables names will be prefixed with it (enables you to manage better your tables)'] = 'Le tabelle della base dati lo avranno come prefisso (permette di gestire meglio le tabelle)';
+$lang['user password given by your host provider'] = 'Password d\'accesso database fornita dal vostro provider';
+$lang['Database name'] = 'Nome del database';
+$lang['also given by your host provider'] = 'anche questo fornito dal vostro provider';
+$lang['Database table prefix'] = 'Prefisso tabelle database';
+$lang['database tables names will be prefixed with it (enables you to manage better your tables)'] = 'I nomi delle tabelle del database saranno preceduti da questo prefisso (vi permette di gestire meglio le tabelle)';
 $lang['enter a login for webmaster'] = 'Inserire un nome utente per il webmaster';
-$lang['webmaster login can\'t contain characters \' or "'] = 'Il nome utente del webmaster non può contenere caratteri come \' o "';
+$lang['webmaster login can\'t contain characters \' or "'] = 'Il nome utente del webmaster non puÃ² contenere caratteri come \' o "';
 $lang['please enter your password again'] = 'Reinserire la password';
 $lang['Webmaster password'] = 'Password del webmaster';
@@ -55,22 +55,22 @@
 $lang['verification'] = 'verifica';
 $lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Bisogno di un aiuto? Visitate il <a href=\"%s\">forum di Piwigo</a>.';
-$lang['Webmaster mail address'] = 'Indirizzo Email del Amministratore';
-$lang['Visitors will be able to contact site administrator with this mail'] = 'Gli ospiti potranno contattarvi utilizzando questo indirizzo Email';
-$lang['PHP 5 is required'] = 'È necessario PHP 5';
-$lang['It appears your webhost is currently running PHP %s.'] = 'Sembrerebbe che la versione del vostro server è PHP %s.';
-$lang['Piwigo may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'Piwigo cerchrà di passare in PHP 5 creando o modificando il file .htaccess.';
-$lang['Note you can change your configuration by yourself and restart Piwigo after that.'] = 'Notate che potete cambiare manualmente la configurazione PHP e rilanciare Piwigo.';
-$lang['Try to configure PHP 5'] = 'Provate a configuratre PHP 5';
+$lang['Webmaster mail address'] = 'Indirizzo email del Webmaster';
+$lang['Visitors will be able to contact site administrator with this mail'] = 'I visitatori saranno in grado di contattarvi usando questa mail';
+$lang['PHP 5 is required'] = 'PHP 5 Ã¨ necessario';
+$lang['It appears your webhost is currently running PHP %s.'] = 'Sembra che la versione del vostro server sia PHP %s.';
+$lang['Piwigo may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'Piwigo tenterÃ di cambiare la configurazione di PHP 5 creando o modificando il file .htaccess.';
+$lang['Note you can change your configuration by yourself and restart Piwigo after that.'] = 'Nota: potete cambiare manualmente la configurazione PHP e poi riavviare Piwigo.';
+$lang['Try to configure PHP 5'] = 'Provare a configurare PHP 5';
 $lang['Sorry!'] = 'Spiacente!';
-$lang['Piwigo was not able to configure PHP 5.'] = 'Piwigo non a potuto configurare PHP 5.';
-$lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = 'Dovete contattare il votro provider per chiedere come configurare PHP 5.';
-$lang['Hope to see you back soon.'] = 'Sperando rivedervi prossimamente ...';
-$lang['Congratulations, Piwigo installation is completed'] = 'Congratulazione, l\'installazione di Piwigo è finita';
+$lang['Piwigo was not able to configure PHP 5.'] = 'Piwigo non Ã¨ stato in grado di configurare PHP 5';
+$lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = 'Dovete contattare il votro provider per chiedere come passare a PHP 5.';
+$lang['Hope to see you back soon.'] = 'Speriamo di vedervi presto.';
+$lang['Congratulations, Piwigo installation is completed'] = 'Congratulazioni, l\'installazione di Piwigo Ã¨ completata';
 
-$lang['An alternate solution is to copy the text in the box above and paste it into the file "local/config/database.inc.php" (Warning : database.inc.php must only contain what is in the textarea, no line return or space character)'] = 'Una soluzzione alternativa è di selezzionare il testo nella zona qui sotto e di copiarlo nel file "local/config/database.inc.php" (Attenzione: database.inc.php deve contenere solo ciò che si trova nella zona, nessun ritorno a capo, nessun spazzio)';
-$lang['Creation of config file local/config/database.inc.php failed.'] = 'La creazione del file di configurazione local/config/database.inc.php è fallita.';
+$lang['An alternate solution is to copy the text in the box above and paste it into the file "local/config/database.inc.php" (Warning : database.inc.php must only contain what is in the textarea, no line return or space character)'] = 'Una soluzione alternativa Ã¨ quella di copiare il testo nella casella sopra e incollarlo nel file "local/config/database.inc.php" (Attenzione: database.inc.php deve contenere solo quello che c\'Ã¨ nel textarea, nessun ritorno a capo o spazio)';
+$lang['Creation of config file local/config/database.inc.php failed.'] = 'Creazione del file di configurazione local/config/database.inc.php fallita.';
 $lang['Download the config file'] = 'Scaricare il file di configurazione';
-$lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Potete scaricare il file di configurazionee trasferirlo nella directory local/config della vostra installazione di Piwigo.';
-$lang['SQLite and PostgreSQL are currently in experimental state.'] = 'I tipi SQLite e PostgreSQL sono attualmente in fase sperimentale.';
-$lang['Learn more'] = 'Per saperne di più';
+$lang['You can download the config file and upload it to local/config directory of your installation.'] = 'E\' possibile scaricare il file di configurazione e caricarlo in local/config della vostra installazione di Piwigo.';
+$lang['SQLite and PostgreSQL are currently in experimental state.'] = 'SQLite e PostgreSQL sono attualmente in stato sperimentale.';
+$lang['Learn more'] = 'Per saperne di piÃ¹';
 ?>