Index: branches/2.1/language/it_IT/common.lang.php
===================================================================
--- branches/2.1/language/it_IT/common.lang.php	(revision 6329)
+++ branches/2.1/language/it_IT/common.lang.php	(revision 6330)
@@ -339,10 +339,10 @@
 $lang['Tag results for'] = 'Risultato dei tag per';
 $lang['from %s to %s'] = 'da %s a %s';
-$lang['Play of slideshow'] = 'Lettura del diaporama';
-$lang['Pause of slideshow'] = 'Pausa del diaporama';
-$lang['Repeat the slideshow'] = 'Ricominciare il diaporama';
-$lang['Not repeat the slideshow'] = 'Non ricominciare il diaporama';
-$lang['Reduce diaporama speed'] = 'Ralentare la velocità del diaporama';
-$lang['Accelerate diaporama speed'] = 'Accelerare la velocità del diaporama';
+$lang['Play of slideshow'] = 'Avvia proiezione';
+$lang['Pause of slideshow'] = 'Pausa proiezione';
+$lang['Repeat the slideshow'] = 'Ricominciare proiezione';
+$lang['Not repeat the slideshow'] = 'Non ricominciare proiezione';
+$lang['Reduce diaporama speed'] = 'Ralentare la velocitàproiezione';
+$lang['Accelerate diaporama speed'] = 'Accelerare la velocitàproiezione';
 $lang['Submit'] = 'Confermare';
 $lang['Yes'] = 'Si';
@@ -364,8 +364,8 @@
 $lang['delete all images from your favorites'] = 'cancellare tutte le immagini dai vostri favoriti';
 $lang['Sent by'] = 'Mandato da';
-$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'I cookies sono bloccati o non sopportati dal vostro browser. Dovete attivare i cookie per connettervi.';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'I cookies sono bloccati o non supportati dal vostro browser. Dovete attivare i cookie per connettervi.';
 
-$lang['Some info about this picture'] = 'Informazioni su quest\'immagine';
-$lang['Some more (technical) info about this picture'] = 'Informazioni (tecniche) su quest\'immagine';
+$lang['Some info about this picture'] = 'Alcune info su questa foto';
+$lang['Some more (technical) info about this picture'] = 'Alcune informazioni (tecniche) su questa foto';
 $lang['edit this comment'] = 'modificare questo commento';
 $lang['Edit a comment'] = 'Modificare un commento';
@@ -375,6 +375,6 @@
 $lang['Welcome to your Piwigo photo gallery!'] = 'Benvenuto sulla vostra galleria Piwigo !';
 $lang['... or browse your empty gallery'] = '... o navigate nella nostra galleria vuota';
-$lang['... or please deactivate this message, I will find my way by myself'] = '... o disattivare questo messaggio, cè la farò dasolo';
-$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Salve %s, la vostra galleria Piwigo è vuota!';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... oppure disattivare questo messaggio, voglio riuscirci da solo';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Salve %s, la vfostra galleria fotografica Piwigo è vuota!';
 $lang['I want to add photos'] = 'Voglio aggiungere delle immagini';
 $lang['Manage this user comment: %s'] = 'Gestire questo commento: %s';
Index: branches/2.1/language/it_IT/install.lang.php
===================================================================
--- branches/2.1/language/it_IT/install.lang.php	(revision 6329)
+++ branches/2.1/language/it_IT/install.lang.php	(revision 6330)
@@ -56,5 +56,5 @@
 $lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Bisogno di un aiuto? Visitate il <a href=\"%s\">forum di Piwigo</a>.';
 $lang['Webmaster mail address'] = 'Indirizzo email del Webmaster';
-$lang['Visitors will be able to contact site administrator with this mail'] = 'I visitatori saranno in grado di contattarvi usando questa mail';
+$lang['Visitors will be able to contact site administrator with this mail'] = 'I visitatori saranno in grado di contattarvi usando questa email';
 $lang['PHP 5 is required'] = 'PHP 5 Ã¨ necessario';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Sembra che la versione del vostro server sia PHP %s.';