Index: /trunk/language/cs_CZ/upgrade.lang.php
===================================================================
--- /trunk/language/cs_CZ/upgrade.lang.php	(revision 6334)
+++ /trunk/language/cs_CZ/upgrade.lang.php	(revision 6335)
@@ -32,5 +32,5 @@
 $lang['SQL queries'] = 'SQL dotazy';
 $lang['Upgrade informations'] = 'Informace o aktualizaci';
-$lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = 'Proveďte kontrolu údržby v [Administrace>Ostatní>Údržba] pokud dojde k problému.';
+$lang['Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.'] = 'Proveďte kontrolu údržby v [Administrace>Nástroje>Údržba] pokud dojde k problému.';
 $lang['Only administrator can run upgrade: please sign in below.'] = 'Jen administrátor smí spustit aktualizaci: prosím přihlašte se níže.';
 $lang['You do not have access rights to run upgrade'] = 'nemáte přístupová práva na spuštění upgrade';
Index: /trunk/language/de_DE/upgrade.lang.php
===================================================================
--- /trunk/language/de_DE/upgrade.lang.php	(revision 6334)
+++ /trunk/language/de_DE/upgrade.lang.php	(revision 6335)
@@ -29,5 +29,5 @@
 $lang['SQL queries'] = 'SQL Anfragen';
 $lang['Upgrade informations'] = 'Upgrade Informationen';
-$lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = 'Führen Sie eine Datenbanküberprüfung durch in [Verwaltung>Erweiterte Einstellungen>Wartung] falls ein Problem auftritt.';
+$lang['Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.'] = 'Führen Sie eine Datenbanküberprüfung durch in [Verwaltung>Werkzeuge>Wartung] falls ein Problem auftritt.';
 $lang['Only administrator can run upgrade: please sign in below.'] = 'Nur Administratoren dürfen ein Upgrade durchführen. Bitte loggen Sie sich ein';
 $lang['You do not have access rights to run upgrade'] = 'Sie haben nicht die erforderlichen Rechte ein Upgrade durchzuführen';
Index: /trunk/language/en_UK/upgrade.lang.php
===================================================================
--- /trunk/language/en_UK/upgrade.lang.php	(revision 6334)
+++ /trunk/language/en_UK/upgrade.lang.php	(revision 6335)
@@ -32,5 +32,5 @@
 $lang['SQL queries'] = "SQL queries";
 $lang['Upgrade informations'] = "Upgrade information";
-$lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = "Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.";
+$lang['Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.'] = "Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.";
 $lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = "As a precaution, the following plugins have been deactivated. You must check for plugins upgrades before reactivating them:";
 $lang['Only administrator can run upgrade: please sign in below.'] = "Only an administrator can run upgrade: please sign in below.";
Index: /trunk/language/es_ES/upgrade.lang.php
===================================================================
--- /trunk/language/es_ES/upgrade.lang.php	(revision 6334)
+++ /trunk/language/es_ES/upgrade.lang.php	(revision 6335)
@@ -29,5 +29,5 @@
 $lang['SQL queries'] = 'número de demanda SQL';
 $lang['Upgrade informations'] = 'Informaciones sobre la actualización';
-$lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = 'Por favor, efectúes un mantenimiento en [Administración>Especiales>Mantenimiento] si usted encuentra problemas.';
+$lang['Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.'] = 'Por favor, efectúes un mantenimiento en [Administración>herramientas>Mantenimiento] si usted encuentra problemas.';
 $lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'Por precaución, el plugins siguiente han sido desactivados. Verifique si existen unas actualización antes de reactivarlos:';
 $lang['Only administrator can run upgrade: please sign in below.'] = 'Sólo un administrador puede lanzar la actualización: por favor, identifiqúese más abajo.';
Index: /trunk/language/fr_FR/upgrade.lang.php
===================================================================
--- /trunk/language/fr_FR/upgrade.lang.php	(revision 6334)
+++ /trunk/language/fr_FR/upgrade.lang.php	(revision 6335)
@@ -33,5 +33,5 @@
 $lang['SQL queries'] = "nombre de requêtes SQL";
 $lang['Upgrade informations'] = "Informations sur la mise à jour";
-$lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = "Veuillez effectuer une maintenance dans [Administration>Spéciales>Maintenance] si vous rencontrez des problèmes.";
+$lang['Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.'] = "Veuillez effectuer une maintenance dans [Administration>Outils>Maintenance] si vous rencontrez des problèmes.";
 $lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = "Par précaution, les plugins suivants ont été désactivés. Vérifiez s'il existe des mises à jour avant de les réactiver:";
 $lang['Only administrator can run upgrade: please sign in below.'] = "Seul un administrateur peut lancer la mise à jour: veuillez vous identifier ci-dessous.";
Index: /trunk/language/hr_HR/upgrade.lang.php
===================================================================
--- /trunk/language/hr_HR/upgrade.lang.php	(revision 6334)
+++ /trunk/language/hr_HR/upgrade.lang.php	(revision 6335)
@@ -29,5 +29,5 @@
 $lang['SQL queries'] = 'SQL upita';
 $lang['Upgrade informations'] = 'Podaci o nadogradnji';
-$lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = 'Izvršite radnu provjeru [Uprava>Posebnosti>Održavanje] u slučaju bilo kakvih problema.';
+$lang['Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.'] = 'Izvršite radnu provjeru [Uprava>Alati>Održavanje] u slučaju bilo kakvih problema.';
 $lang['Only administrator can run upgrade: please sign in below.'] = 'Samo upravnik može pokrenuti nadogradnju: molimo, prijavite se dolje.';
 $lang['You do not have access rights to run upgrade'] = 'Nemate pristupna prava za pokretanje nadogradnje';
Index: /trunk/language/it_IT/upgrade.lang.php
===================================================================
--- /trunk/language/it_IT/upgrade.lang.php	(revision 6334)
+++ /trunk/language/it_IT/upgrade.lang.php	(revision 6335)
@@ -33,5 +33,5 @@
 $lang['SQL queries'] = 'queries SQL';
 $lang['Upgrade informations'] = 'Informazioni aggiornamento';
-$lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = 'Se riscontrate dei problemi, effettuare una manutezione in [Amministrazione>Speciale>Manutenzione].';
+$lang['Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.'] = 'Se riscontrate dei problemi, effettuare una manutezione in [Amministrazione>Tools>Manutenzione].';
 $lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'Per precauzione, i plugins seguenti sono stati disattivati. E\' necessario verificare l\'aggiornamento dei plugins prima di riattivarli:';
 $lang['Only administrator can run upgrade: please sign in below.'] = 'Solo l\'amministratore può eseguire l\'aggiornamento: fate login.';
Index: /trunk/language/ja_JP/upgrade.lang.php
===================================================================
--- /trunk/language/ja_JP/upgrade.lang.php	(revision 6334)
+++ /trunk/language/ja_JP/upgrade.lang.php	(revision 6335)
@@ -33,5 +33,5 @@
 $lang['SQL queries'] = 'SQLクエリー';
 $lang['Upgrade informations'] = '更新情報';
-$lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = '問題がある場合、[管理 > 特別 > メンテナンス] でメンテナンスチェックを実行してください。';
+$lang['Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.'] = '問題がある場合、[管理 > ツール > メンテナンス] でメンテナンスチェックを実行してください。';
 $lang['Only administrator can run upgrade: please sign in below.'] = '管理者のみアップグレードを実行できます: 以下でログインしてください。';
 $lang['You do not have access rights to run upgrade'] = 'あなたには、アップグレードを実行する権限がありません。';
Index: /trunk/language/nl_NL/upgrade.lang.php
===================================================================
--- /trunk/language/nl_NL/upgrade.lang.php	(revision 6334)
+++ /trunk/language/nl_NL/upgrade.lang.php	(revision 6335)
@@ -31,5 +31,5 @@
 $lang['SQL queries'] = 'SQL queries';
 $lang['Upgrade informations'] = 'Upgrade informatie';
-$lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = 'Voor een onderhoudscontrole uit [Administratie>Speciaal>Onderhoud] indien u problemen ondervindt.';
+$lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = 'Voor een onderhoudscontrole uit [Administratie>Hulpmiddelen>Onderhoud] indien u problemen ondervindt.';
 $lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'Als voorzorgsmaatregel zijn de volgende plugins gedeactiveerd. Voordat u ze reactiveert moet u deze plugins op upgrades controleren:';
 $lang['Only administrator can run upgrade: please sign in below.'] = 'Alleen de administrator kan een upgrade uitvoeren: hieronder kunt u inloggen.';
Index: /trunk/language/pl_PL/upgrade.lang.php
===================================================================
--- /trunk/language/pl_PL/upgrade.lang.php	(revision 6334)
+++ /trunk/language/pl_PL/upgrade.lang.php	(revision 6335)
@@ -29,5 +29,5 @@
 $lang['SQL queries'] = 'zapytań SQL';
 $lang['Upgrade informations'] = 'Informacje o aktualizacji';
-$lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = 'Jeżeli napotkasz jakiś problem wykonaj weryfikację przez [Administracja>Specjalne>Maintenance].';
+$lang['Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.'] = 'Jeżeli napotkasz jakiś problem wykonaj weryfikację przez [Administracja>Narzędzia>Maintenance].';
 $lang['Only administrator can run upgrade: please sign in below.'] = 'Tylko administrator może wykonać aktualizację: zaloguj się poniżej.';
 $lang['You do not have access rights to run upgrade'] = 'Nie masz uprawnień do wykonania aktualizacji';
Index: /trunk/language/pt_BR/upgrade.lang.php
===================================================================
--- /trunk/language/pt_BR/upgrade.lang.php	(revision 6334)
+++ /trunk/language/pt_BR/upgrade.lang.php	(revision 6335)
@@ -31,5 +31,5 @@
 $lang['SQL queries'] = 'Consultas SQL';
 $lang['Upgrade informations'] = 'Informações do upgrade';
-$lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = 'Executa uma avaliação de rotina em [Administração>Especiais>Manutenção] se você encontrar algum problema.';
+$lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = 'Executa uma avaliação de rotina em [Administração>Tools>Manutenção] se você encontrar algum problema.';
 $lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'Por precaução, os seguintes plugins foram desativados. Você deve checar por atualizações dos plugins antes de reativá-los:';
 $lang['Only administrator can run upgrade: please sign in below.'] = 'Apenas administrador pode realizar o upgrade: por favor, faça o login logo abaixo.';
Index: /trunk/language/pt_PT/upgrade.lang.php
===================================================================
--- /trunk/language/pt_PT/upgrade.lang.php	(revision 6334)
+++ /trunk/language/pt_PT/upgrade.lang.php	(revision 6335)
@@ -30,5 +30,5 @@
 $lang['SQL queries'] = 'Consultas SQL';
 $lang['Upgrade informations'] = 'Informações do upgrade';
-$lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = 'Executa uma avaliação de rotina em [Administração>Especiais>Manutenção] se você encontrar algum problema.';
+$lang['Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.'] = 'Executa uma avaliação de rotina em [Administração>Tools>Manutenção] se você encontrar algum problema.';
 $lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'Por precaução, os seguintes plugins foram desativados. Você deve procurar atualizações dos plugins antes de reativá-los:';
 $lang['Only administrator can run upgrade: please sign in below.'] = 'Apenas administrador pode realizar o upgrade: por favor, conecte-se aqui em baixo.';
Index: /trunk/language/ru_RU/upgrade.lang.php
===================================================================
--- /trunk/language/ru_RU/upgrade.lang.php	(revision 6334)
+++ /trunk/language/ru_RU/upgrade.lang.php	(revision 6335)
@@ -29,5 +29,5 @@
 $lang['SQL queries'] = 'SQL запросы';
 $lang['Upgrade informations'] = 'Информация об обновлениях';
-$lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = 'Выполните обслуживание [Администирирование> Специальное> Обслуживание] если вы столкнулись с какими-либо проблемами.';
+$lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = 'Выполните обслуживание [Администирирование> Инструменты> Обслуживание] если вы столкнулись с какими-либо проблемами.';
 $lang['Only administrator can run upgrade: please sign in below.'] = 'Только администратор может запустить обновление: проверьте ниже.';
 $lang['You do not have access rights to run upgrade'] = 'У вас нет прав на запуск обновлений';
Index: /trunk/language/sr_RS/upgrade.lang.php
===================================================================
--- /trunk/language/sr_RS/upgrade.lang.php	(revision 6334)
+++ /trunk/language/sr_RS/upgrade.lang.php	(revision 6335)
@@ -33,5 +33,5 @@
 $lang['SQL queries'] = "SQL upiti";
 $lang['Upgrade informations'] = "Informacije o nadogradnji";
-$lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = "Izvršiti proveru održavanja u [Administracija>Alati>Održavanje] ako naiđšete na neki problem.";
+$lang['Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.'] = "Izvršiti proveru održavanja u [Administracija>Alati>Održavanje] ako naiđšete na neki problem.";
 $lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = "Kao meru predostrožnost, dati dodaci su deaktivirani. Morate proveriti za nadogradnju dodataka pre nego ih ponovo aktivirate :";
 $lang['Only administrator can run upgrade: please sign in below.'] = "Samo administrator može da pokrene nadogradnju: prijavite se ispod.";
Index: /trunk/language/templates/upgrade.lang.php
===================================================================
--- /trunk/language/templates/upgrade.lang.php	(revision 6334)
+++ /trunk/language/templates/upgrade.lang.php	(revision 6335)
@@ -30,5 +30,5 @@
 $lang['SQL queries'] = 'SQL queries';
 $lang['Upgrade informations'] = 'Upgrade informations';
-$lang['perform a maintenance check'] = 'Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.';
+$lang['perform a maintenance check'] = 'Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.';
 $lang['deactivated plugins'] = 'As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:';
 $lang['upgrade login message'] = 'Only administrator can run upgrade: please sign in below.';
Index: /trunk/language/vi_VN/upgrade.lang.php
===================================================================
--- /trunk/language/vi_VN/upgrade.lang.php	(revision 6334)
+++ /trunk/language/vi_VN/upgrade.lang.php	(revision 6335)
@@ -29,5 +29,5 @@
 $lang['SQL queries'] = 'Truy vấn SQL';
 $lang['Upgrade informations'] = 'Thông tin bản nâng cấp';
-$lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = 'Chạy chế độ kiểm tra bảo trì trong mục [Administration>Specials>Maintenance] trong trường hợp bạn gặp lỗi.';
+$lang['Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.'] = 'Chạy chế độ kiểm tra bảo trì trong mục [Administration>Tools>Maintenance] trong trường hợp bạn gặp lỗi.';
 $lang['Only administrator can run upgrade: please sign in below.'] = 'Chỉ có Quản trị mới có thể nâng cấp: vui lòng đăng nhập trước.';
 $lang['You do not have access rights to run upgrade'] = 'Bạn không có đủ quyền hạn để có thể nâng cấp hệ thống';
Index: /trunk/language/zh_CN/upgrade.lang.php
===================================================================
--- /trunk/language/zh_CN/upgrade.lang.php	(revision 6334)
+++ /trunk/language/zh_CN/upgrade.lang.php	(revision 6335)
@@ -32,5 +32,5 @@
 $lang['SQL queries'] = "SQL 查询";
 $lang['Upgrade informations'] = "升级信息";
-$lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = "如果您遇到任何问题，请在[管理员>特殊>维护]执行维护检测";
+$lang['Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.'] = "如果您遇到任何问题，请在[管理员>工具>维护]执行维护检测";
 $lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = "为了预防万一，以下插件已被停用。在您重新启用它们之前，必须先检查这些插件的更新:";
 $lang['Only administrator can run upgrade: please sign in below.'] = "只有管理员能运行升级操作：请先登录。";
Index: /trunk/upgrade.php
===================================================================
--- /trunk/upgrade.php	(revision 6334)
+++ /trunk/upgrade.php	(revision 6335)
@@ -344,5 +344,5 @@
 
     array_push($page['infos'],
-      l10n('Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.')
+      l10n('Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.')
       );
 