Index: /extensions/bbcode_bar/language/hu_HU/description.txt
===================================================================
--- /extensions/bbcode_bar/language/hu_HU/description.txt	(revision 6352)
+++ /extensions/bbcode_bar/language/hu_HU/description.txt	(revision 6352)
@@ -0,0 +1,1 @@
+Lehetővé teszi a BB kódok használatát hozzászólások, leírások készítésénél.
Index: /extensions/bbcode_bar/language/hu_HU/index.php
===================================================================
--- /extensions/bbcode_bar/language/hu_HU/index.php	(revision 6352)
+++ /extensions/bbcode_bar/language/hu_HU/index.php	(revision 6352)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 3632 2009-07-19 08:45:36Z ddtddt $
+// | last update   : $Date: 2009-07-19 10:45:36 +0200 (v, 19 júl 2009) $
+// | last modifier : $Author: ddtddt $
+// | revision      : $Revision: 3632 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/bbcode_bar/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/bbcode_bar/language/hu_HU/plugin.lang.php	(revision 6352)
+++ /extensions/bbcode_bar/language/hu_HU/plugin.lang.php	(revision 6352)
@@ -0,0 +1,53 @@
+<?php
+	global $lang;
+	
+		$lang['admin_liste'] 		= "BB kód lista :";	
+	
+	$lang['p_help'] 		= "Új bekezdés : [p]bekezdés[/p]";	
+	$lang['b_help'] 		= "Félkövér : [b]félkövér szöveg[/b]";
+	$lang['i_help'] 		= "Dőlt : [i]dőlt szöveg[/i]";
+	$lang['u_help'] 		= "Aláhúzott : [u]aláhúzott szöveg[/u]";	
+	$lang['s_help'] 		= "Áthúzott  : [s]áthúzott szöveg[/s]";
+	
+	$lang['center_help'] 	= "Középre : [center]illesztés középre[/center]";
+	$lang['right_help'] 	= "Jobbra : [right]illesztés jobbra[/right]";
+	$lang['ul_help'] 		= "Számozatlan lista : [ul][li]elem[/li][/ul]";
+	$lang['ol_help'] 		= "Számozott lista : [ol][li]elem[/li][/ol]";
+	
+	$lang['quote_help'] 	= "Idézet : [quote]idézett szöveg[/quote]";
+	$lang['img_help'] 		= "Kép : [img]kép fájlnév[/img]";
+	$lang['url_help'] 		= "URL : [url=URL cím]megjelenő szöveg[/url]";
+	$lang['mail_help'] 		= "E-mail : [email]e-mail cím[/email]";	
+	
+	$lang['size_help'] 		= "Betűméret : [size=X]betű mérete[/size]";
+	$lang['tiny'] 		= "Apró";
+	$lang['small'] 		= "Kicsi";
+	$lang['normal'] 	= "Normál";
+	$lang['large'] 		= "Közepes";
+	$lang['huge'] 		= "Nagy";	
+	
+	$lang['fc_help'] 	= "Betűszín : [color=szín]betű színe[/color]";
+	$lang['default_help']	= "Alapértelmezett";
+	$lang['maroon_help'] 	= "Gesztenyebarna";		
+	$lang['red_help'] 		= "Piros";			
+	$lang['orange_help'] 	= "Narancssárga";	 	
+	$lang['brown_help'] 	= "Barna";
+	$lang['yellow_help'] 	= "Sárga";	 	
+	$lang['green_help'] 	= "Zöld"; 	
+	$lang['olive_help'] 	= "Olajzöld";	 	
+	$lang['cyan_help'] 		= "Ciánkék";
+	$lang['blue_help'] 		= "Kék";	
+	$lang['darkblue_help']	= "Sötétkék";
+	$lang['indigo_help'] 	= "Indigó";
+	$lang['violet_help'] 	= "Ibolya";
+	$lang['white_help'] 	= "Fehér";
+	$lang['black_help'] 	= "Fekete";
+	
+	$lang['preview'] 		= "Megtekint";
+	
+	$lang['help']			= "Automatikus használat: A kód a kijelölt szövegre alkalmazható.";
+	
+	$lang['repicon']		= "Ikon könyvtár.";
+  
+  $lang['bbcb_config_saved'] = "Beállítások mentése sikeres";
+?>