Index: branches/2.1/language/cs_CZ/help/help_add_photos.html
===================================================================
--- branches/2.1/language/cs_CZ/help/help_add_photos.html	(revision 6345)
+++ branches/2.1/language/cs_CZ/help/help_add_photos.html	(revision 6361)
@@ -14,4 +14,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">Přejděte na pLoader</a></p>
 
+<div id="helpSynchro">
 <ul>
   <li><strong>FTP přenos</strong> je nejvíce doporučená cesta, jak nahrát velké množství fotografií s minimálním úsilím. Následujte návod, jak připravit Vaše fotografie. Tato metoda Vám dává možnost přesně řídit uspořádání Vašich fotografií na Vašem serveru.</li>
@@ -19,2 +20,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">Přejděte na FTP přenos</a></p>
+</div>
Index: branches/2.1/language/de_DE/help/help_add_photos.html
===================================================================
--- branches/2.1/language/de_DE/help/help_add_photos.html	(revision 6345)
+++ branches/2.1/language/de_DE/help/help_add_photos.html	(revision 6361)
@@ -16,4 +16,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">Zum Piwigo Uploader</a></p>
 
+<div id="helpSynchro">
 <ul>
   <li><strong>FTP Upload</strong> ist die empfohlene Methode, um große Mengen
@@ -25,2 +26,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">Zum FTP Upload</a></p>
+</div>
Index: branches/2.1/language/en_UK/help/help_add_photos.html
===================================================================
--- branches/2.1/language/en_UK/help/help_add_photos.html	(revision 6345)
+++ branches/2.1/language/en_UK/help/help_add_photos.html	(revision 6361)
@@ -16,4 +16,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">Go to pLoader</a></p>
 
+<div id="helpSynchro">
 <ul>
   <li><strong>FTP transfer</strong> is the most recommended way to add a
@@ -24,2 +25,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">Go to FTP</a></p>
+</div>
Index: branches/2.1/language/es_ES/help/help_add_photos.html
===================================================================
--- branches/2.1/language/es_ES/help/help_add_photos.html	(revision 6345)
+++ branches/2.1/language/es_ES/help/help_add_photos.html	(revision 6361)
@@ -18,4 +18,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">Utilizar pLoader</a></p>
 
+<div id="helpSynchro">
 <ul>
   <li><strong>El FTP</strong> es el método ideal para añadir una colección importante en un mínimo de operaciones.
@@ -24,2 +25,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">Utilizar FTP</a></p>
+</div>
Index: branches/2.1/language/fr_FR/help/help_add_photos.html
===================================================================
--- branches/2.1/language/fr_FR/help/help_add_photos.html	(revision 6345)
+++ branches/2.1/language/fr_FR/help/help_add_photos.html	(revision 6361)
@@ -21,4 +21,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">Utiliser pLoader</a></p>
 
+<div id="helpSynchro">
 <ul>
   <li><strong>Le transfert FTP</strong>
@@ -30,2 +31,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">Utiliser FTP</a></p>
+</div>
Index: branches/2.1/language/hr_HR/help/help_add_photos.html
===================================================================
--- branches/2.1/language/hr_HR/help/help_add_photos.html	(revision 6345)
+++ branches/2.1/language/hr_HR/help/help_add_photos.html	(revision 6361)
@@ -16,4 +16,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">Go to pLoader</a></p>
 
+<div id="helpSynchro">
 <ul>
 <li><strong>FTP transfer</strong> is the most recommended way to add a
@@ -24,2 +25,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">Go to FTP</a></p>
+</div>
Index: branches/2.1/language/hu_HU/help/help_add_photos.html
===================================================================
--- branches/2.1/language/hu_HU/help/help_add_photos.html	(revision 6345)
+++ branches/2.1/language/hu_HU/help/help_add_photos.html	(revision 6361)
@@ -13,4 +13,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">Tovább a pLoader beszerzéséhez</a></p>
 
+<div id="helpSynchro">
 <ul>
   <li>Nagy mennyiségű képek minimális munkával történő hozzáadásának legegyszerűbb módja a <strong>Feltöltés FTP-n keresztül</strong>. Feltöltés előtt el kell végezni a képek előkészítését. Az FTP módszer használata esetén a képek helyének előkészítését kézzel kell elvégezni a tárhelyen lévő könyvtárstruktúra kialakításával.</li>
@@ -18,2 +19,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">Tovább az FTP feltöltést bemutató oldalra</a></p>
+</div>
Index: branches/2.1/language/it_IT/help/help_add_photos.html
===================================================================
--- branches/2.1/language/it_IT/help/help_add_photos.html	(revision 6345)
+++ branches/2.1/language/it_IT/help/help_add_photos.html	(revision 6361)
@@ -21,4 +21,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">Utilizzare pLoader</a></p>
 
+<div id="helpSynchro">
 <ul>
   <li><strong>FTP</strong>
@@ -29,2 +30,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">Utilizzare FTP</a></p>
+</div>
Index: branches/2.1/language/ja_JP/help/help_add_photos.html
===================================================================
--- branches/2.1/language/ja_JP/help/help_add_photos.html	(revision 6345)
+++ branches/2.1/language/ja_JP/help/help_add_photos.html	(revision 6361)
@@ -13,4 +13,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">pLoaderへ</a></p>
 
+<div id="helpSynchro">
 <ul>
   <li>多数の写真をアップロードする場合、<strong>FTP</strong> は推薦しています。写真をアップロードするために、ガイドをお読みください。ＦＴＰの方法はサーバー上に写真の場所を正確に指定することができます。</li>
@@ -18,2 +19,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">ＦＴＰへ</a></p>
+</div>
Index: branches/2.1/language/nl_NL/help/help_add_photos.html
===================================================================
--- branches/2.1/language/nl_NL/help/help_add_photos.html	(revision 6345)
+++ branches/2.1/language/nl_NL/help/help_add_photos.html	(revision 6361)
@@ -15,4 +15,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">Ga naar pLoader</a></p>
 
+<div id="helpSynchro">
 <ul>
   <li><strong>FTP overdracht</strong> is de meest geschikte nainier om een grote hoeveelheid fotos toe te voegen met zo min mogelijk handelingen. Volg de aanwijzingen om je fotos voor te bereiden. De FTP manier is laat je precies de indeling van je fotos op de server bepalen.</li>
@@ -20,2 +21,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">Ga naar FTP</a></p>
+</div>
Index: branches/2.1/language/pl_PL/help/help_add_photos.html
===================================================================
--- branches/2.1/language/pl_PL/help/help_add_photos.html	(revision 6345)
+++ branches/2.1/language/pl_PL/help/help_add_photos.html	(revision 6361)
@@ -13,4 +13,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">PrzejdŸ do pLoader</a></p>
 
+<div id="helpSynchro">
 <ul>
   <li><strong>Transfer FTP</strong> jest najbardziej rekomendowanym sposobem dodawania bardzo du¿ej iloœci zdjêæ przy pomocy niewielu klikniêæ. Skorzystaj z przewodnika aby przygotowaæ swoje zdjêcia. Metoda FTP umo¿liwia Ci bardzo dok³adn¹ kontrolê nad umiejscowieniem plików zdjêæ na serwerze.</li>
@@ -18,2 +19,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">PrzejdŸ do FTP</a></p>
+</div>
Index: branches/2.1/language/ru_RU/help/help_add_photos.html
===================================================================
--- branches/2.1/language/ru_RU/help/help_add_photos.html	(revision 6345)
+++ branches/2.1/language/ru_RU/help/help_add_photos.html	(revision 6361)
@@ -14,4 +14,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">Перейти к pLoader</a></p>
 
+<div id="helpSynchro">
 <ul>
  <li><strong>Загрузка по FTP</strong> – наиболее рекомендуемый способ загрузки очень большой коллекции фотографии при минимальном количестве кликов. Подготовьте фотографии, воспользовавшись инструкцией. Загрузка по FTP позволит вам организовать фотографии на сервере именно так, как нужно.</li>
@@ -19,2 +20,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">Загрузка по FTP</a></p>
+</div>
Index: branches/2.1/language/sr_RS/help/help_add_photos.html
===================================================================
--- branches/2.1/language/sr_RS/help/help_add_photos.html	(revision 6345)
+++ branches/2.1/language/sr_RS/help/help_add_photos.html	(revision 6361)
@@ -15,4 +15,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">Idi na pLoader</a></p>
 
+<div id="helpSynchro">
 <ul>
   <li><strong>FTP prenos</strong>je najčešće preporučen način da dodate
@@ -22,2 +23,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">Idi na FTP</a></p>
+</div>
Index: branches/2.1/language/zh_CN/help/help_add_photos.html
===================================================================
--- branches/2.1/language/zh_CN/help/help_add_photos.html	(revision 6345)
+++ branches/2.1/language/zh_CN/help/help_add_photos.html	(revision 6361)
@@ -13,4 +13,5 @@
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">使用 pLoader</a></p>
 
+<div id="helpSynchro">
 <ul>
   <li><strong>FTP 上传</strong> 是非常推荐的方法，其可以一次性上传大批量的相片。以下向导将教您如何准备您的相片。使用 FTP 方式，您可以很精确地控制您服务器上的相片目录的物理结构。</li>
@@ -18,2 +19,3 @@
 
 <p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">使用 FTP</a></p>
+</div>